Bug 178595 - graphics/cinepaint: Update to version 1.0.4
Summary: graphics/cinepaint: Update to version 1.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 19:10 UTC by tkato432
Modified: 2013-05-21 06:50 UTC (History)
0 users

See Also:


Attachments
file.diff (76.50 KB, patch)
2013-05-13 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-05-13 18:55:04 UTC
>Number:         178595
>Category:       ports
>Synopsis:       graphics/cinepaint: Update to version 1.0.4
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 18:10:08 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     KATO Tsuguru
>Release:        FreeBSD 7.4-RELEASE-p11 i386
>Organization:
>Environment:
>Description:
- Update to version 1.0.4

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/graphics/cinepaint/Makefile graphics/cinepaint/Makefile
--- /usr/ports/graphics/cinepaint/Makefile	2013-04-25 05:19:54.000000000 +0900
+++ graphics/cinepaint/Makefile	2013-05-14 00:00:49.000000000 +0900
@@ -1,76 +1,83 @@
-# New ports collection makefile for:	cinepaint
-# Date created:				11 Oct 2003
-# Whom:					David Yeske <dyeske@gmail.com>
-#
+# Created by: David Yeske <dyeske@gmail.com>
 # $FreeBSD: head/graphics/cinepaint/Makefile 316464 2013-04-24 18:10:30Z ak $
-#
 
 PORTNAME=	cinepaint
-PORTVERSION=	0.22
-PORTREVISION=	10
+DISTVERSION=	1.0-4
 CATEGORIES=	graphics
-MASTER_SITES=	SF/${PORTNAME}/CinePaint/CinePaint-${PORTVERSION}-1
-DISTNAME=	${PORTNAME}-${PORTVERSION}-1
+MASTER_SITES=	SF/${PORTNAME}/CinePaint/CinePaint-${DISTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An editing tool used for painting and retouching of movies
+COMMENT=	Editing tool used for painting and retouching of movies
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
+LICENSE=	GPLv2 LGPL21 MIT
+LICENSE_COMB=	multi
+
+LIB_DEPENDS=	IlmImf:${PORTSDIR}/graphics/OpenEXR \
+		ftgl:${PORTSDIR}/graphics/ftgl \
+		jpeg:${PORTSDIR}/graphics/jpeg \
+		lcms:${PORTSDIR}/graphics/lcms \
 		png15:${PORTSDIR}/graphics/png \
-		lcms.1:${PORTSDIR}/graphics/lcms \
-		tiff.4:${PORTSDIR}/graphics/tiff \
-		ftgl.2:${PORTSDIR}/graphics/ftgl
+		tiff:${PORTSDIR}/graphics/tiff \
+    		fltk:${PORTSDIR}/x11-toolkits/fltk
 
-USE_AUTOTOOLS=	libtool
-GNU_CONFIGURE=	yes
+OPTIONS_DEFINE=	OYRANOS PRINT
+OYRANOS_DESC=	ICC profile support via Oyranos
+PRINT_DESC=	Gutenprint (gimp-print) plugin
+
+USES=		gettext pkgconfig
+USE_XORG=	xmu
+USE_GNOME=	gtk20
+USE_GHOSTSCRIPT_RUN=yes
 USE_PYTHON=	yes
-USE_GNOME=	gtk12
-USES=		gettext
+USE_GMAKE=	yes
+USE_AUTOTOOLS=	libtoolize aclocal automake autoconf
+LIBTOOLIZE_ARGS=--force
+ACLOCAL_ARGS=	-I aclocal
+AUTOMAKE_ARGS=	--copy --force-missing --foreign
 USE_LDCONFIG=	yes
-USE_XORG=	xpm xi xext xft xinerama
-
-MAN1=		cinepaint.1 cinepainttool.1
-
-PLIST_SUB=	VER=${PORTVERSION}-1
+MAKE_JOBS_SAFE=	yes
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}-1
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS_DEFINE=	OPENEXR
-OPTIONS_DEFAULT=	OPENEXR
-OPENEXR_DESC=	Use OpenEXR
+PLIST_SUB=	VER="${DISTVERSION}"
 
-CFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib -lintl
+MAN1=		cinepaint.1 cinepainttool.1
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MOPENEXR}
-LIB_DEPENDS+=	IlmImf:${PORTSDIR}/graphics/OpenEXR \
-    		fltk.1:${PORTSDIR}/x11-toolkits/fltk
-CONFIGURE_ARGS+=	--with-openexr-prefix=${LOCALBASE}
-CFLAGS+=	-I${LOCALBASE}/include/openEXR
-PLIST_SUB+=	OPENEXR:=""
+.if ${PORT_OPTIONS:MOYRANOS}
+LIB_DEPENDS+=	oyranos:${PORTSDIR}/graphics/oyranos
 .else
-PLIST_SUB+=	OPENEXR:="@comment "
+CONFIGURE_ENV+=	ac_cv_path_OY_CONFIG=no
 .endif
 
-CPPFLAGS+=	${CFLAGS}
+.if ${PORT_OPTIONS:MPRINT}
+LIB_DEPENDS+=	gutenprint:${PORTSDIR}/print/gutenprint-base
+PLIST_SUB+=	PRINT=""
+.else
+CONFIGURE_ARGS+=	--disable-print
+PLIST_SUB+=	PRINT="@comment "
+.endif
+
+post-extract:
+	@${LN} -sf gimprc.in ${WRKSRC}/cinepaintrc.in
+	@${LN} -sf gimprc_user.in ${WRKSRC}/cinepaintrc_user.in
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's| -Wall||' \
-		${WRKSRC}/configure
-
-	@${REINPLACE_CMD} -E -e \
-		's|-LINUX.+$$|| ; s|[(]libdir[)]/pkgconfig|(prefix)/libdata/pkgconfig|' \
-		${WRKSRC}/Makefile.in
-
+		'/^pkgconfigdir/s|$$(libdir)|$$(prefix)/libdata| ; \
+		 s|gimprc|cinepaintrc|g' \
+		${WRKSRC}/Makefile.am
+	@${REINPLACE_CMD} -e \
+		'/cms-profile-path/s|".*"|"${LOCALBASE}/share/color/icc"| ; \
+		 s|/usr/share|${LOCALBASE}/share|' \
+		${WRKSRC}/cinepaintrc.in
+	@${REINPLACE_CMD} -e \
+		's|gimprc|cinepaintrc|g' \
+		${WRKSRC}/user_install.in
 	@${REINPLACE_CMD} -e \
 		's|static GDrawableType|static GImageType|' \
 		${WRKSRC}/plug-ins/psd/psd.c
 
-	@${FIND} ${WRKSRC} -type f -name "*.c" -o -name "*.cpp" -o -name "*.cxx" -o -name "*.h" | ${XARGS} \
-	   ${REINPLACE_CMD} -e '/^#include <FL/s|.h>$$|.H>|; /^#include "FL/s|.h"$$|.H"|; \
-	   s|fl_file_chooser.H|Fl_File_Chooser.H|g; s|#include <Fl|#include <FL|g; s|<FL/gl.H>|<FL/gl.h>|'
-
 .include <bsd.port.mk>
diff -urN /usr/ports/graphics/cinepaint/distinfo graphics/cinepaint/distinfo
--- /usr/ports/graphics/cinepaint/distinfo	2012-11-08 09:39:19.000000000 +0900
+++ graphics/cinepaint/distinfo	2013-05-14 00:00:49.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (cinepaint-0.22-1.tar.gz) = bb08a9210658959772df12408769d660999ede168b7431514e1f3cead07c0fea
-SIZE (cinepaint-0.22-1.tar.gz) = 12380745
+SHA256 (cinepaint-1.0-4.tar.gz) = 57a748ed4b9ce93ace379a5476f815e741a863425a6d5181646b49e7cba2578e
+SIZE (cinepaint-1.0-4.tar.gz) = 12167016
diff -urN /usr/ports/graphics/cinepaint/files/patch-app__Makefile.am graphics/cinepaint/files/patch-app__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-app__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-app__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- app/Makefile.am.orig
++++ app/Makefile.am
+@@ -420,7 +420,8 @@
+ 	$(GTK_LIBS) \
+ 	$(X_LIBS) \
+ 	$(OYRANOS_LIBS) \
+-	$(LCMS_LIB)
++	$(LCMS_LIB) \
++	-lm
+ 
+ cinepaint_remote_LDADD = \
+ 	$(GTK_LIBS) \
diff -urN /usr/ports/graphics/cinepaint/files/patch-app__cms.c graphics/cinepaint/files/patch-app__cms.c
--- /usr/ports/graphics/cinepaint/files/patch-app__cms.c	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-app__cms.c	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,263 @@
+--- app/cms.c.orig
++++ app/cms.c
+@@ -37,16 +37,9 @@
+ #endif
+ 
+ #ifdef HAVE_OY
+-#include <oyranos/oyranos.h>
+-#ifndef OYRANOS_VERSION
+-#define OYRANOS_VERSION 0
+-#endif
+-#if OYRANOS_VERSION < 108
+-#include <arpa/inet.h>  /* ntohl */
+-#include <oyranos/oyranos_monitor.h>
+-#else
+-#include <oyranos/oyranos_alpha.h>
+-#endif
++#include <oyranos_devices.h>
++#include <oyObject_s.h>
++#include <oyProfiles_s.h>
+ #endif
+ 
+ #include "config.h"
+@@ -114,7 +107,7 @@
+     cmsHPROFILE handle;
+     char       *data;                   /* save original data for profile i/o */
+     size_t      size;
+-    char        cspace[8];
++    const char *cspace;
+ };
+ 
+ /* same for transform */
+@@ -348,7 +341,7 @@
+ 
+ #ifdef HAVE_OY
+ # if OYRANOS_VERSION > 107
+-int iccMessageFunc( int code, const oyStruct_s * context, const char * format, ... )
++int iccMessageFunc( int code, const oyPointer * context, const char * format, ... )
+ {
+   char* text = 0, *pos = 0;
+   va_list list;
+@@ -359,10 +352,10 @@
+     return 0;
+ 
+ 
+-  if(context && oyOBJECT_NONE < context->type_)
++  if(context && oyOBJECT_NONE < ((oyStruct_s*)context)->type_)
+   {
+-    type_name = oyStruct_TypeToText( context );
+-    id = oyObject_GetId( context->oy_ );
++    type_name = oyStruct_TypeToText( (oyStruct_s*)context );
++    id = oyObject_GetId( ((oyStruct_s*)context)->oy_ );
+   }
+ 
+   text = (char*)calloc(sizeof(char), 4096);
+@@ -463,7 +456,7 @@
+       const char *display_name = gdk_get_display ();
+ 
+       test = oyGetMonitorProfile( display_name, &test_size, my_alloc_func );
+-      printf("%s:%d %s() monitor profile size: %d\n",__FILE__,__LINE__,__func__,
++      printf("%s:%d %s() monitor profile size: %lu\n",__FILE__,__LINE__,__func__,
+               test_size );
+ 
+       if (test == NULL || !test_size)
+@@ -566,36 +559,36 @@
+ 
+ const char* 
+ cms_get_color_space_name (cmsHPROFILE hProfile)
+-{   static gchar name[10];
++{   static char *name = 10;
+ 
+     switch (cmsGetColorSpace (hProfile))
+     {
+-        case icSigXYZData: sprintf(name, _("XYZ")); break;
+-        case icSigLabData: sprintf(name, _("Lab")); break;
+-        case icSigLuvData: sprintf(name, _("Luv")); break;
+-        case icSigYCbCrData: sprintf(name, _("YCbCr")); break;
+-        case icSigYxyData: sprintf(name, _("Yxy")); break;
+-        case icSigRgbData: sprintf(name, _("Rgb")); break;
+-        case icSigGrayData: sprintf(name, _("Gray")); break;
+-        case icSigHsvData: sprintf(name, _("Hsv")); break;
+-        case icSigHlsData: sprintf(name, _("Hls")); break;
+-        case icSigCmykData: sprintf(name, _("Cmyk")); break;
+-        case icSigCmyData: sprintf(name, _("Cmy")); break;
+-        case icSig2colorData: sprintf(name, _("2color")); break;
+-        case icSig3colorData: sprintf(name, _("3color")); break;
+-        case icSig4colorData: sprintf(name, _("4color")); break;
+-        case icSig5colorData: sprintf(name, _("5color")); break;
+-        case icSig6colorData: sprintf(name, _("6color")); break;
+-        case icSig7colorData: sprintf(name, _("7color")); break;
+-        case icSig8colorData: sprintf(name, _("8color")); break;
+-        case icSig9colorData: sprintf(name, _("9color")); break;
+-        case icSig10colorData: sprintf(name, _("10color")); break;
+-        case icSig11colorData: sprintf(name, _("11color")); break;
+-        case icSig12colorData: sprintf(name, _("12color")); break;
+-        case icSig13colorData: sprintf(name, _("13color")); break;
+-        case icSig14colorData: sprintf(name, _("14color")); break;
+-        case icSig15colorData: sprintf(name, _("15color")); break;
+-        default: name[0] = '\0';
++        case icSigXYZData: name = _("XYZ"); break;
++        case icSigLabData: name = _("Lab"); break;
++        case icSigLuvData: name = _("Luv"); break;
++        case icSigYCbCrData: name = _("YCbCr"); break;
++        case icSigYxyData: name = _("Yxy"); break;
++        case icSigRgbData: name = _("Rgb"); break;
++        case icSigGrayData: name = _("Gray"); break;
++        case icSigHsvData: name = _("Hsv"); break;
++        case icSigHlsData: name = _("Hls"); break;
++        case icSigCmykData: name = _("Cmyk"); break;
++        case icSigCmyData: name = _("Cmy"); break;
++        case icSig2colorData: name = _("2color"); break;
++        case icSig3colorData: name = _("3color"); break;
++        case icSig4colorData: name = _("4color"); break;
++        case icSig5colorData: name = _("5color"); break;
++        case icSig6colorData: name = _("6color"); break;
++        case icSig7colorData: name = _("7color"); break;
++        case icSig8colorData: name = _("8color"); break;
++        case icSig9colorData: name = _("9color"); break;
++        case icSig10colorData: name = _("10color"); break;
++        case icSig11colorData: name = _("11color"); break;
++        case icSig12colorData: name = _("12color"); break;
++        case icSig13colorData: name = _("13color"); break;
++        case icSig14colorData: name = _("14color"); break;
++        case icSig15colorData: name = _("15color"); break;
++        default: name = "";
+     }
+ 
+     return name;
+@@ -603,17 +596,16 @@
+ 
+ const char**
+ cms_get_color_space_channel_names (cmsHPROFILE hProfile)
+-{   static char** name = 0;
++{   static char* name[5] = {0,0,0,0,0};
+     const char** ret = 0;
+-    if(!name)
++    if(!name[0])
+     { int i;
+-      name=(char**)calloc(sizeof(char**),4);
+       for(i = 0; i < 4; ++i)
+-        name[i] = (char*)calloc(sizeof(char*),36);
++        name[i] = (char*)calloc(sizeof(char),128);
+     }
++    sprintf(name[0], "---");
+     sprintf(name[1], "---");
+     sprintf(name[2], "---");
+-    sprintf(name[3], "---");
+ 
+     ret = (const char**) name;
+     sprintf( name[3],_("Alpha"));
+@@ -683,7 +675,7 @@
+ 
+ const char*
+ cms_get_device_class_name (cmsHPROFILE hProfile)
+-{   static char class[15];
++{   static char class[128];
+ 
+     switch (cmsGetDeviceClass (hProfile))
+     {
+@@ -1193,6 +1185,8 @@
+  */
+ const char * cms_get_profile_cspace ( CMSProfile         * profile )
+ {
++  if(!profile->cspace)
++    return "";
+   return profile->cspace;
+ }
+ 
+@@ -1222,22 +1216,21 @@
+ #ifdef HAVE_OY
+     if ( profile == NULL )
+     {
++      char *pp_name = NULL;
+       /* add path to non pathnamed file names */
+       if(file_name && !strchr(file_name, OY_SLASH_C))
+       {
+-        char *pp_name = oyGetPathFromProfileName( file_name, my_alloc_func );
++        pp_name = oyGetPathFromProfileName( file_name, my_alloc_func );
+ 
+         if(pp_name && strlen(pp_name))
+         {
+           fullFileName = (char*) calloc (MAX_PATH, sizeof(char));;
+           sprintf(fullFileName, "%s%s%s", pp_name, OY_SLASH, file_name);;
+         }
+-        if(pp_name) free(pp_name);
+       } else
+       /* catch non correct paths */
+       if(file_name && strchr(file_name, OY_SLASH_C))
+       {
+-        char *pp_name = NULL;
+         char *ptr = NULL;
+ 
+         ptr = strrchr(file_name, OY_SLASH_C);
+@@ -1251,12 +1244,13 @@
+             fullFileName = (char*) calloc (MAX_PATH, sizeof(char));;
+             sprintf(fullFileName, "%s%s%s", pp_name, OY_SLASH, ptr);;
+           }
+-          if(pp_name) free(pp_name);
+         }
+       }
+ 
+       /* give lcms */
+-      profile = cmsOpenProfileFromFile (fullFileName, "r");
++      if (pp_name);
++        profile = cmsOpenProfileFromFile (fullFileName, "r");
++      if (pp_name) free(pp_name);
+     }
+ #endif
+ 
+@@ -1282,8 +1276,7 @@
+     return_value = g_new(CMSProfile, 1);
+     return_value->cache_key = strdup(cms_get_profile_keyname(profile,mem));
+     return_value->handle = profile;
+-    sprintf( return_value->cspace,
+-             cms_get_color_space_name( return_value->handle ) );
++    return_value->cspace = cms_get_color_space_name( return_value->handle );
+ 
+     /* save an copy of the original icc profile to mem */
+     return_value->size = 0;
+@@ -1336,8 +1329,7 @@
+     return_value = g_new(CMSProfile, 1);
+     return_value->cache_key = strdup(cms_get_profile_keyname(profile,mem_pointer));
+     return_value->handle = profile;
+-    sprintf( return_value->cspace,
+-             cms_get_color_space_name( return_value->handle ) );
++    return_value->cspace = cms_get_color_space_name( return_value->handle );
+ 
+     cache_entry = g_new(ProfileCacheEntry, 1);
+     cache_entry->ref_count = 1;
+@@ -2689,7 +2681,7 @@
+ 
+     GSList *profile_file_names = 0;
+     GSList *iterator = 0;
+-    gchar *current_filename;
++    gchar *current_long_fname;
+     CMSProfile *current_profile;
+     CMSProfileInfo *current_profile_info;      
+     int pos = can_select_none ? 1 : 0, select_pos = -1;
+@@ -2720,16 +2712,20 @@
+ 
+     while (iterator != NULL)
+     {
+-        current_filename = iterator->data;
+-        current_profile = cms_get_profile_from_file(current_filename);
++        const char *file_name;
++        current_long_fname = iterator->data;
++        file_name = current_long_fname;
++        if(strrchr(file_name,'/'))
++          file_name = strrchr(file_name,'/') + 1;
++        current_profile = cms_get_profile_from_file(current_long_fname);
+ 	current_profile_info = cms_get_profile_info(current_profile);
+         if(prefered_name && strlen(prefered_name) &&
+-           strcmp( current_filename, prefered_name ) == 0 )
++           strcmp( file_name, prefered_name ) == 0 )
+           select_pos = pos;
+-        sprintf(label_text, "%s (%s)", current_profile_info->description, current_filename);
++        sprintf(label_text, "%s (%s)", current_profile_info->description, current_long_fname);
+         menuitem = gtk_menu_item_new_with_label (label_text);
+ 	gtk_menu_append (GTK_MENU (menu), menuitem);
+-	gtk_object_set_data_full(GTK_OBJECT(menuitem), "value", (gpointer)current_filename, g_free);
++	gtk_object_set_data_full(GTK_OBJECT(menuitem), "value", (gpointer)current_long_fname, g_free);
+ 
+ 	cms_return_profile(current_profile);
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-app__depth__Makefile.am graphics/cinepaint/files/patch-app__depth__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-app__depth__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-app__depth__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- app/depth/Makefile.am.orig
++++ app/depth/Makefile.am
+@@ -11,7 +11,8 @@
+ 
+ libdepth_la_LIBADD = \
+ 	$(top_builddir)/lib/libcinepaint.la \
+-	$(GTK_LIBS)
++	$(GTK_LIBS) \
++	-lm
+ 
+ libdepth_la_SOURCES = \
+ 	bezier_select.c \
diff -urN /usr/ports/graphics/cinepaint/files/patch-app__gradient.c graphics/cinepaint/files/patch-app__gradient.c
--- /usr/ports/graphics/cinepaint/files/patch-app__gradient.c	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-app__gradient.c	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- app/gradient.c.orig
++++ app/gradient.c
+@@ -5452,7 +5452,7 @@
+           g_message (_("Corrupt segment %d in gradient file '%s'."),
+                      i, filename);
+           fclose (file);
+-          return NULL;
++          return;
+         }
+ #else
+ 		if (sscanf(line, "%lf%lf%lf%lf%lf%lf%lf%lf%lf%lf%lf%d%d",
diff -urN /usr/ports/graphics/cinepaint/files/patch-app__install.c graphics/cinepaint/files/patch-app__install.c
--- /usr/ports/graphics/cinepaint/files/patch-app__install.c	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-app__install.c	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- app/install.c.orig
++++ app/install.c
+@@ -475,7 +475,7 @@
+ 
+   CP_TEXT_INSERT( font_strong, _("User Installation Log\n\n") );
+ 
+-#if 1
++#if 0
+ 	{	const char* msg = UserInstall(gimp_directory());
+ 		if(msg)
+ 		{
diff -urN /usr/ports/graphics/cinepaint/files/patch-app__layers_dialog.c graphics/cinepaint/files/patch-app__layers_dialog.c
--- /usr/ports/graphics/cinepaint/files/patch-app__layers_dialog.c	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-app__layers_dialog.c	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- app/layers_dialog.c.orig
++++ app/layers_dialog.c
+@@ -2773,7 +2773,7 @@
+ # ifdef DEBUG
+     printf("%s:%d %s() wrong data or widget\n", __FILE__,__LINE__,__func__);
+ # endif
+-    return FALSE;
++    return;
+   }
+ 
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-app__main.c graphics/cinepaint/files/patch-app__main.c
--- /usr/ports/graphics/cinepaint/files/patch-app__main.c	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-app__main.c	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,21 @@
+--- app/main.c.orig
++++ app/main.c
+@@ -448,7 +448,8 @@
+ #ifdef WIN32
+ 
+ #else
+-# ifndef DEBUG_
++  if (use_debug_handler)
++  {
+   /* Handle some signals */
+   signal (SIGHUP, on_signal);
+   signal (SIGINT, on_signal);
+@@ -466,7 +467,7 @@
+   /* Handle shmem reload */
+   signal( SIGUSR2, on_sig_refresh);
+ # endif
+-# endif /* DEBUG */
++  }
+ #endif
+   /* Keep the command line arguments--for use in gimp_init */
+   gimp_argc = argc - 1;
diff -urN /usr/ports/graphics/cinepaint/files/patch-app__menus.c graphics/cinepaint/files/patch-app__menus.c
--- /usr/ports/graphics/cinepaint/files/patch-app__menus.c	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-app__menus.c	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,25 @@
+--- app/menus.c.orig
++++ app/menus.c
+@@ -1597,7 +1597,7 @@
+ char*
+ menu_entry_translate (const char* entry)
+ {
+-  char *text = (char*) calloc (1024, sizeof(char)),
++  char *text = (char*) calloc (sizeof(char), 1024),
+        *word = 0;
+   const char *tmp = 0;
+ 
+@@ -1647,11 +1647,11 @@
+   // resize memory
+   if(strlen(text))
+   {
+-    word = (char*) calloc( strlen(text) + 1, sizeof(char) );
++    word = (char*) calloc( sizeof(char), strlen(text) + 4 );
+     memcpy( word, text, strlen( text ) + 1 );
+     free (text);
+     return word;
+   }
+   else
+-    return (char*) calloc(1,sizeof(char));
++    return (char*) calloc(sizeof(char),1);
+ }
diff -urN /usr/ports/graphics/cinepaint/files/patch-cinepaint-gtk.pc.in graphics/cinepaint/files/patch-cinepaint-gtk.pc.in
--- /usr/ports/graphics/cinepaint/files/patch-cinepaint-gtk.pc.in	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-cinepaint-gtk.pc.in	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- cinepaint-gtk.pc.in.orig
++++ cinepaint-gtk.pc.in
+@@ -11,6 +11,7 @@
+ Name: cinepaint-gtk
+ Description: Cinepaint Plug-In Library Using GTK+
+ Version: @MAJOR_VERSION@.@MINOR_VERSION@
+-Libs: -L${libdir} -lcinepaint @GTK_LIBS@
+-Cflags: -I${includedir} @GTK_CFLAGS@
++Requires: gtk+-2.0
++Libs: -L${libdir} -lcinepaint 
++Cflags: -I${includedir} 
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-cinepainttool.in graphics/cinepaint/files/patch-cinepainttool.in
--- /usr/ports/graphics/cinepaint/files/patch-cinepainttool.in	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-cinepainttool.in	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,23 @@
+--- cinepainttool.in.orig
++++ cinepainttool.in
+@@ -166,7 +166,7 @@
+       ;;
+     --cflags-local)
+       my_gtk_cflags=$gtk_cflags
+-      echo -I@abs_top_srcdir@ -I@abs_top_srcdir@/lib $my_gtk_cflags
++      echo $my_gtk_cflags
+       ;;
+     --libs | --libs-nocinepaintui)
+       my_gtk_libs=
+@@ -198,8 +198,9 @@
+           my_gtk_libs="$my_gtk_libs $i"
+         fi
+       done
+-      export `cat @abs_top_srcdir@/lib/libcinepaint.la | grep dlname | sed s/\'//g`
+-      echo @abs_top_srcdir@/lib/.libs/$dlname $my_gtk_libs
++      export `cat @libdir@/libcinepaint.la | grep dlname | sed -e s/\'//g -e s/dlname/dlname1/`
++      export `cat @libdir@/libcinepainthalf.la | grep dlname | sed -e s/\'//g -e s/dlname/dlname2/`
++      echo @libdir@/$dlname1 @libdir@/$dlname2 $my_gtk_libs
+       ;;
+     --libs-noui)
+       glib_ldflags=`echo $gtk_libs | sed -e 's/^.*-lgdk[^ ]* *\(-L[^ ]*\).*$/\1/' -e 's/^.* -lgdk[^ ]* .*$//'`
diff -urN /usr/ports/graphics/cinepaint/files/patch-configure.in graphics/cinepaint/files/patch-configure.in
--- /usr/ports/graphics/cinepaint/files/patch-configure.in	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-configure.in	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,43 @@
+--- configure.in.orig	2013-05-06 05:19:29.000000000 +0900
++++ configure.in	2013-05-09 01:25:06.000000000 +0900
+@@ -2,7 +2,7 @@
+ 
+ prefix=/usr/bin
+ 
+-AC_INIT(gimprc.in)
++AC_INIT(cinepaintrc.in)
+ AM_CONFIG_HEADER(lib/config.h)
+ 
+ dnl Initialize automake stuff
+@@ -109,7 +109,7 @@
+ dnl check for pkg-config
+ export PKG_CONFIG_PATH
+ AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
+-if test "x$PKG_CONFIG" == "xno"; then
++if test "x$PKG_CONFIG" = "xno"; then
+   AC_MSG_WARN([
+ *** Check for pkg-config failed. Many packages requires it.
+ *** You can download it from http://pkgconfig.sourceforge.net/  .])
+@@ -517,9 +517,9 @@
+     if test "x$FLTK_CONFIG" != "xno"; then
+       FLTK_CONFIG="$FLTK_CONFIG"
+         FLTK_LDFLAGS="`$FLTK_CONFIG --use-images --ldflags | sed \"$STRIPOPT\"`"
+-        FLTK_LIBS_PURE="`echo $FLTK_LDFLAGS | sed  's/-O.// ; s/-isysroot /-L/ ; s/-arch ppc// ; s/-arch i386//'`"
++        FLTK_LIBS_PURE="`echo $FLTK_LDFLAGS | sed  's/ -O. // ; s/-isysroot /-L/ ; s/-arch ppc// ; s/-arch i386//'`"
+         FLTK_LIBS="\$(top_builddir)/lib/fl_i18n/libcinepaint_fl_i18n.la $FLTK_LIBS_PURE"
+-        FLTK_CFLAGS=`$FLTK_CONFIG --cxxflags | sed  's/-O.// ; s/-isysroot /-L/ ; s/-arch ppc// ; s/-arch i386//'`
++        FLTK_CFLAGS=`$FLTK_CONFIG --cxxflags | sed  's/ -O. // ; s/-isysroot /-L/ ; s/-arch ppc// ; s/-arch i386//'`
+     else
+       AC_MSG_WARN([
+ *** Check for fltk-config failed. Depending plug-ins may not compile.
+@@ -818,8 +818,8 @@
+ AC_OUTPUT(
+ Makefile
+ user_install
+-gimprc
+-gimprc_user
++cinepaintrc
++cinepaintrc_user
+ cinepainttool
+ cinepaint-gtk.pc
+ cinepaint.spec
diff -urN /usr/ports/graphics/cinepaint/files/patch-lib__fl_i18n__Makefile.am graphics/cinepaint/files/patch-lib__fl_i18n__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-lib__fl_i18n__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-lib__fl_i18n__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- lib/fl_i18n/Makefile.am.orig
++++ lib/fl_i18n/Makefile.am
+@@ -26,8 +26,7 @@
+ 	-I$(top_srcdir) -I$(includedir)
+ 
+ libcinepaint_fl_i18n_la_LIBADD = \
+-	$(FLTK_LIBS_PURE) \
+-	-lc
++	$(FLTK_LIBS_PURE)
+ 
+ .PHONY: files
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins-icc_examin-icc_examin_icc_helfer_fltk.cpp graphics/cinepaint/files/patch-plug-ins-icc_examin-icc_examin_icc_helfer_fltk.cpp
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins-icc_examin-icc_examin_icc_helfer_fltk.cpp	2012-11-08 09:39:19.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins-icc_examin-icc_examin_icc_helfer_fltk.cpp	1970-01-01 09:00:00.000000000 +0900
@@ -1,11 +0,0 @@
---- plug-ins/icc_examin/icc_examin/icc_helfer_fltk.cpp.orig	2008-09-03 02:07:08.000000000 +0200
-+++ plug-ins/icc_examin/icc_examin/icc_helfer_fltk.cpp	2008-09-03 02:08:02.000000000 +0200
-@@ -226,7 +226,7 @@
- 
-   int  awake(void)
-   {
--    Fl::awake(0);
-+    Fl::awake((void *)0);
-     return 0;
-   }
-   int  leerWait(void) { return 0; }
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins-png-png.c graphics/cinepaint/files/patch-plug-ins-png-png.c
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins-png-png.c	2012-11-08 09:39:19.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins-png-png.c	1970-01-01 09:00:00.000000000 +0900
@@ -1,28 +0,0 @@
---- plug-ins/png/png.c.orig	2006-11-24 21:52:55.000000000 +0100
-+++ plug-ins/png/png.c	2012-04-27 19:08:52.000000000 +0200
-@@ -59,6 +59,7 @@
- #include "libgimp/stdplugins-intl.h"
- 
- #include <png.h>		/* PNG library definitions */
-+#include <pngpriv.h>
- 
- /*
-  * Constants...
-@@ -405,7 +406,7 @@
-   info = (png_infop)calloc(sizeof(png_info), 1);
- #endif /* PNG_LIBPNG_VER > 88 */
- 
--  if (setjmp (pp->jmpbuf))
-+  if (setjmp (png_jmpbuf(pp)))
-   {
-     g_message ("%s\nPNG error. File corrupted?", filename);
-     return image;
-@@ -824,7 +825,7 @@
-   info = (png_infop)calloc(sizeof(png_info), 1);
- #endif /* PNG_LIBPNG_VER > 88 */
- 
--  if (setjmp (pp->jmpbuf))
-+  if (setjmp (png_jmpbuf(pp)))
-   {
-     g_message ("%s\nPNG error. Couldn't save image", filename);
-     return 0;
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__blur__Makefile.am graphics/cinepaint/files/patch-plug-ins__blur__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__blur__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__blur__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/blur/Makefile.am.orig
++++ plug-ins/blur/Makefile.am
+@@ -18,8 +18,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+ 	$(top_builddir)/libhalf/cinepaint_half.lo	\
+-	$(OPENEXR_LIBS) \
+-	-lc
++	$(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__Makefile.am graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/bracketing_to_hdr/Makefile.am.orig
++++ plug-ins/bracketing_to_hdr/Makefile.am
+@@ -51,8 +51,7 @@
+ 	./FL_adds/libfl_adds.la \
+ 	./gui/libgui.la \
+ 	$(FLTK_LIBS) \
+-	$(GTK_LIBS) \
+-	-lc
++	$(GTK_LIBS)
+ 
+ DEPS = \
+ 	./br_core/libbr_core.la \
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__jhead__Makefile.am graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__jhead__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__jhead__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__jhead__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- plug-ins/bracketing_to_hdr/jhead/Makefile.am.orig
++++ plug-ins/bracketing_to_hdr/jhead/Makefile.am
+@@ -31,7 +31,7 @@
+ 	-I$(includedir)
+ 
+ LDADD = \
+-	-lc -lm
++	-lm
+ 
+ .PHONY: files
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__cineon__Makefile.am graphics/cinepaint/files/patch-plug-ins__cineon__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__cineon__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__cineon__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- plug-ins/cineon/Makefile.am.orig
++++ plug-ins/cineon/Makefile.am
+@@ -27,7 +27,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__collect__Makefile.am graphics/cinepaint/files/patch-plug-ins__collect__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__collect__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__collect__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- plug-ins/collect/Makefile.am.orig
++++ plug-ins/collect/Makefile.am
+@@ -23,7 +23,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la \
+ 	$(X_LIBS) \
+ 	$(FLTK_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la \
+ 	$(top_builddir)/lib/fl_i18n/libcinepaint_fl_i18n.la
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__compose__Makefile.am graphics/cinepaint/files/patch-plug-ins__compose__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__compose__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__compose__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/compose/Makefile.am.orig
++++ plug-ins/compose/Makefile.am
+@@ -14,8 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__dbbrowser__Makefile.am graphics/cinepaint/files/patch-plug-ins__dbbrowser__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__dbbrowser__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__dbbrowser__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/dbbrowser/Makefile.am.orig
++++ plug-ins/dbbrowser/Makefile.am
+@@ -19,8 +19,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__decompose__Makefile.am graphics/cinepaint/files/patch-plug-ins__decompose__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__decompose__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__decompose__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/decompose/Makefile.am.orig
++++ plug-ins/decompose/Makefile.am
+@@ -14,9 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-					\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__dicom__Makefile.am graphics/cinepaint/files/patch-plug-ins__dicom__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__dicom__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__dicom__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/dicom/Makefile.am.orig
++++ plug-ins/dicom/Makefile.am
+@@ -14,8 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__edge__Makefile.am graphics/cinepaint/files/patch-plug-ins__edge__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__edge__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__edge__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/edge/Makefile.am.orig
++++ plug-ins/edge/Makefile.am
+@@ -15,9 +15,8 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-	$(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__fits__Makefile.am graphics/cinepaint/files/patch-plug-ins__fits__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__fits__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__fits__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/fits/Makefile.am.orig
++++ plug-ins/fits/Makefile.am
+@@ -16,8 +16,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__gauss_rle__Makefile.am graphics/cinepaint/files/patch-plug-ins__gauss_rle__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__gauss_rle__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__gauss_rle__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/gauss_rle/Makefile.am.orig
++++ plug-ins/gauss_rle/Makefile.am
+@@ -15,8 +15,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-					\
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__gbr__Makefile.am graphics/cinepaint/files/patch-plug-ins__gbr__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__gbr__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__gbr__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/gbr/Makefile.am.orig
++++ plug-ins/gbr/Makefile.am
+@@ -16,8 +16,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+ 	$(top_builddir)/libhalf/cinepaint_half.lo       \
+-        $(OPENEXR_LIBS) \
+-	-lc
++        $(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__hdr__Makefile.am graphics/cinepaint/files/patch-plug-ins__hdr__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__hdr__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__hdr__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/hdr/Makefile.am.orig
++++ plug-ins/hdr/Makefile.am
+@@ -20,8 +20,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__iff__Makefile.am graphics/cinepaint/files/patch-plug-ins__iff__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__iff__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__iff__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/iff/Makefile.am.orig
++++ plug-ins/iff/Makefile.am
+@@ -14,9 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-					\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__iol__Makefile.am graphics/cinepaint/files/patch-plug-ins__iol__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__iol__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__iol__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/iol/Makefile.am.orig
++++ plug-ins/iol/Makefile.am
+@@ -35,9 +35,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-        $(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc					\
+ 	-lm					\
+ 	-lfl
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__jpeg__Makefile.am graphics/cinepaint/files/patch-plug-ins__jpeg__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__jpeg__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__jpeg__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/jpeg/Makefile.am.orig
++++ plug-ins/jpeg/Makefile.am
+@@ -22,8 +22,7 @@
+ 	@LCMS_LIB@				\
+ 	@LIBJPEG_LIB@				\
+         $(top_builddir)/libhalf/cinepaint_half.lo       \
+-        $(OPENEXR_LIBS) \
+-	-lc
++        $(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__mblur__Makefile.am graphics/cinepaint/files/patch-plug-ins__mblur__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__mblur__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__mblur__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/mblur/Makefile.am.orig
++++ plug-ins/mblur/Makefile.am
+@@ -15,9 +15,8 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-        $(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__median__Makefile.am graphics/cinepaint/files/patch-plug-ins__median__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__median__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__median__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/median/Makefile.am.orig
++++ plug-ins/median/Makefile.am
+@@ -16,8 +16,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__minimum__Makefile.am graphics/cinepaint/files/patch-plug-ins__minimum__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__minimum__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__minimum__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/minimum/Makefile.am.orig
++++ plug-ins/minimum/Makefile.am
+@@ -16,8 +16,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__noisify__Makefile.am graphics/cinepaint/files/patch-plug-ins__noisify__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__noisify__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__noisify__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/noisify/Makefile.am.orig
++++ plug-ins/noisify/Makefile.am
+@@ -16,8 +16,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+         $(top_builddir)/libhalf/cinepaint_half.lo       \
+-        $(OPENEXR_LIBS) \
+-	-lc
++        $(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__openexr__Makefile.am graphics/cinepaint/files/patch-plug-ins__openexr__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__openexr__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__openexr__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/openexr/Makefile.am.orig
++++ plug-ins/openexr/Makefile.am
+@@ -27,8 +27,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la \
+ 	$(X_LIBS) \
+ 	$(OPENEXR_LIBS) \
+-	@LCMS_LIB@ \
+-	-lc
++	@LCMS_LIB@
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__pdf__Makefile.am graphics/cinepaint/files/patch-plug-ins__pdf__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__pdf__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__pdf__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/pdf/Makefile.am.orig
++++ plug-ins/pdf/Makefile.am
+@@ -31,8 +31,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la \
+ 	$(X_LIBS) \
+ 	$(FLTK_LIBS) \
+-	$(OYRANOS_LIBS) \
+-	-lc
++	$(OYRANOS_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__pdf__pdf.cpp graphics/cinepaint/files/patch-plug-ins__pdf__pdf.cpp
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__pdf__pdf.cpp	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__pdf__pdf.cpp	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,24 @@
+--- plug-ins/pdf/pdf.cpp.orig
++++ plug-ins/pdf/pdf.cpp
+@@ -47,10 +47,10 @@
+ #include "lib/wire/libtile.h"
+ #include "plugin_pdb.h"
+ #include "libgimp/stdplugins-intl.h"
++}
+ #ifdef HAVE_OY
+-#include <oyranos/oyranos.h>
++#include <oyranos.h>
+ #endif
+-}
+ 
+ #define WARN_S(text) cout <<__FILE__<<":"<<__LINE__<<" "<< text << endl;
+ 
+@@ -377,8 +377,6 @@
+     // set a default profile for cmyk
+ #ifdef OYRANOS_H
+ # if OYRANOS_API > 12
+-    using namespace oyranos;
+-
+     if( vals.colourspace == PDF_CMYK )
+       profile_name = oyGetDefaultProfileName (oyEDITING_CMYK, myAllocFunc);
+     else
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__pic__Makefile.am graphics/cinepaint/files/patch-plug-ins__pic__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__pic__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__pic__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/pic/Makefile.am.orig
++++ plug-ins/pic/Makefile.am
+@@ -21,8 +21,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__png__Makefile.am graphics/cinepaint/files/patch-plug-ins__png__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__png__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__png__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/png/Makefile.am.orig
++++ plug-ins/png/Makefile.am
+@@ -17,8 +17,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(LIBPNG)				\
+ 	$(GTK_LIBS)				\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__png__png.c graphics/cinepaint/files/patch-plug-ins__png__png.c
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__png__png.c	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__png__png.c	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,451 @@
+--- plug-ins/png/png.c.orig
++++ plug-ins/png/png.c
+@@ -390,6 +390,16 @@
+   gchar		*progress;	/* Title for progress display... */
+   guchar	alpha[256],	/* Index -> Alpha */
+   		*alpha_ptr;	/* Temporary pointer */
++  png_byte     color_type;
++  png_byte     bit_depth;
++  png_colorp palette;
++  int num_palette;
++  png_charpp iccp_name;
++  int compression_type;
++  png_bytepp iccp_profile;
++  png_uint_32 iccp_proflen;
++  png_uint_32 width, height;
++  png_byte channels;
+ 
+  /*
+   * PNG 0.89 and newer have a sane, forwards compatible constructor.
+@@ -405,7 +415,7 @@
+   info = (png_infop)calloc(sizeof(png_info), 1);
+ #endif /* PNG_LIBPNG_VER > 88 */
+ 
+-  if (setjmp (pp->jmpbuf))
++  if (setjmp (png_jmpbuf(pp)))
+   {
+     g_message ("%s\nPNG error. File corrupted?", filename);
+     return image;
+@@ -442,21 +452,26 @@
+   */
+ 
+   png_read_info(pp, info);
++  color_type = png_get_color_type(pp, info);
++  width=png_get_image_width(pp, info);
++  height=png_get_image_height(pp, info);
+ 
+  /*
+   * Latest attempt, this should be my best yet :)
+   */
+ 
++  bit_depth = png_get_bit_depth(pp, info);
++
+ #ifndef WORDS_BIGENDIAN
+-  if(info->bit_depth == 16)
++  if(bit_depth == 16)
+ 	  png_set_swap(pp);
+ #endif
+ 
+-  if (info->color_type == PNG_COLOR_TYPE_GRAY && info->bit_depth < 8) {
++  if (color_type == PNG_COLOR_TYPE_GRAY && bit_depth < 8) {
+     png_set_expand(pp);
+   }
+ 
+-  if (info->color_type == PNG_COLOR_TYPE_PALETTE && info->bit_depth < 8) {
++  if (color_type == PNG_COLOR_TYPE_PALETTE && bit_depth < 8) {
+     png_set_packing(pp);
+   }
+ 
+@@ -464,8 +479,8 @@
+   * Expand G+tRNS to GA, RGB+tRNS to RGBA
+   */
+ 
+-  if (info->color_type != PNG_COLOR_TYPE_PALETTE &&
+-                       (info->valid & PNG_INFO_tRNS)) {
++  if (color_type != PNG_COLOR_TYPE_PALETTE &&
++      (png_get_valid(pp, info, PNG_INFO_tRNS))) {
+     png_set_expand(pp);
+   }
+ 
+@@ -482,7 +497,7 @@
+ 
+ #if PNG_LIBPNG_VER > 99
+   if (png_get_valid(pp, info, PNG_INFO_tRNS) &&
+-      info->color_type == PNG_COLOR_TYPE_PALETTE)
++      color_type == PNG_COLOR_TYPE_PALETTE)
+   {
+     png_get_tRNS(pp, info, &alpha_ptr, &num, NULL);
+     /* Copy the existing alpha values from the tRNS chunk */
+@@ -505,9 +520,9 @@
+ 
+   png_read_update_info(pp, info);
+   
+-  if(info->bit_depth==16)
++  if(bit_depth==16)
+   {
+-	  switch (info->color_type)
++	  switch (color_type)
+ 	  {
+ 		  case PNG_COLOR_TYPE_RGB :		/* RGB */
+ 			  bpp        = 6;
+@@ -545,7 +560,7 @@
+   }
+   else
+   {
+-	  switch (info->color_type)
++	  switch (color_type)
+ 	  {
+ 		  case PNG_COLOR_TYPE_RGB :		/* RGB */
+ 			  bpp        = 3;
+@@ -582,7 +597,7 @@
+ 	  };
+   }
+ 
+-  image = gimp_image_new(info->width, info->height, image_type);
++  image = gimp_image_new(width, height, image_type);
+   if (image == -1)
+   {
+     g_message("Can't allocate new image\n%s", filename);
+@@ -595,7 +610,7 @@
+   * Create the "background" layer to hold the image...
+   */
+ 
+-  layer = gimp_layer_new(image, _("Background"), info->width, info->height,
++  layer = gimp_layer_new(image, _("Background"), width, height,
+                          layer_type, 100, NORMAL_MODE);
+   gimp_image_add_layer(image, layer, 0);
+ 
+@@ -627,20 +642,21 @@
+ 
+   empty= 0; /* by default assume no full transparent palette entries */
+ 
+-  if (info->color_type & PNG_COLOR_MASK_PALETTE) {
++  if (color_type & PNG_COLOR_MASK_PALETTE) {
+ 
+ #if PNG_LIBPNG_VER > 99
++    png_get_PLTE(pp, info, &palette, &num_palette);
+     if (png_get_valid(pp, info, PNG_INFO_tRNS)) {
+       for (empty= 0; empty < 256 && alpha[empty] == 0; ++empty);
+         /* Calculates number of fully transparent "empty" entries */
+ 
+-      gimp_image_set_cmap(image, (guchar *) (info->palette + empty),
+-                          info->num_palette - empty);
++      gimp_image_set_cmap(image, (guchar *) (palette + empty),
++                          num_palette - empty);
+     } else {
+-      gimp_image_set_cmap(image, (guchar *)info->palette, info->num_palette);
++      gimp_image_set_cmap(image, (guchar *)palette, num_palette);
+     }
+ #else
+-    gimp_image_set_cmap(image, (guchar *)info->palette, info->num_palette);
++    gimp_image_set_cmap(image, (guchar *)palette, num_palette);
+ #endif /* PNG_LIBPNG_VER > 99 */
+ 
+   }
+@@ -659,18 +675,19 @@
+   */
+ 
+   tile_height = gimp_tile_height ();
+-  pixel       = g_new(guchar, tile_height * info->width * bpp);
++  pixel       = g_new(guchar, tile_height * width * bpp);
+   pixels      = g_new(guchar *, tile_height);
++  channels=png_get_channels(pp, info);
+ 
+-  if(info->bit_depth==16)
++  if(bit_depth==16)
+   {
+ 	  for (i = 0; i < tile_height; i ++)
+-		  pixels[i] = pixel + info->width * info->channels * i * 2;
++		  pixels[i] = pixel + width * channels * i * 2;
+   }
+   else
+   {
+ 	  for (i = 0; i < tile_height; i ++)
+-		  pixels[i] = pixel + info->width * info->channels * i;
++		  pixels[i] = pixel + width * channels * i;
+   }
+ 
+   for (pass = 0; pass < num_passes; pass ++)
+@@ -680,11 +697,11 @@
+ 	   */
+ 
+ 	  for (begin = 0, end = tile_height;
+-			  begin < info->height;
++			  begin < height;
+ 			  begin += tile_height, end += tile_height)
+ 	  {
+-		  if (end > info->height)
+-			  end = info->height;
++		  if (end > height)
++			  end = height;
+ 
+ 		  num = end - begin;
+ 
+@@ -697,20 +714,21 @@
+ 		  gimp_pixel_rgn_set_rect(&pixel_rgn, pixel, 0, begin,
+ 				  drawable->width, num);
+ 
+-		  gimp_progress_update(((double)pass + (double)end / (double)info->height) /
++		  gimp_progress_update(((double)pass + (double)end / (double)height) /
+ 				  (double)num_passes);
+ 	  };
+   };
+ 
+ #if defined(PNG_iCCP_SUPPORTED)
+   /* set icc profile */
+-  if (info->iccp_proflen > 0) {
+-    gimp_image_set_icc_profile_by_mem (image, info->iccp_proflen,
+-                                              info->iccp_profile,
+-                                              ICC_IMAGE_PROFILE);
++  png_get_iCCP(pp, info,  (png_charpp)iccp_name, &compression_type, iccp_profile, &iccp_proflen);
++  if (iccp_proflen > 0) {
++    gimp_image_set_icc_profile_by_mem (image, iccp_proflen,
++				       (gchar *)iccp_profile,
++				       ICC_IMAGE_PROFILE);
+     printf ("%s:%d %s() set embedded profile \"%s\"\n",
+              __FILE__,__LINE__,__func__,
+-                                              info->iccp_name);
++	    (char *)iccp_name);
+   }
+ #endif
+ 
+@@ -808,6 +826,14 @@
+                 blue;           /* Used for palette background */
+   time_t	cutime;         /* Time since epoch */
+   struct tm	*gmt;		/* GMT broken down */
++  png_byte     color_type;
++  png_byte     bit_depth;
++  int filter_method=0;
++  png_colorp palette;
++  int num_palette;
++  png_charpp iccp_name;
++  png_uint_32 height;
++  int compression_type;
+ 
+  /*
+   * PNG 0.89 and newer have a sane, forwards compatible constructor.
+@@ -824,7 +850,7 @@
+   info = (png_infop)calloc(sizeof(png_info), 1);
+ #endif /* PNG_LIBPNG_VER > 88 */
+ 
+-  if (setjmp (pp->jmpbuf))
++  if (setjmp (png_jmpbuf(pp)))
+   {
+     g_message ("%s\nPNG error. Couldn't save image", filename);
+     return 0;
+@@ -857,15 +883,6 @@
+   drawable = gimp_drawable_get (drawable_ID);
+   type     = gimp_drawable_type (drawable_ID);
+ 
+- /*
+-  * Set the image dimensions, bit depth, interlacing and compression
+-  */
+-
+-  png_set_compression_level (pp, pngvals.compression_level);
+-
+-  info->width          = drawable->width;
+-  info->height         = drawable->height;
+-  info->interlace_type = pngvals.interlaced;
+ 
+  /*
+   * Set color type and remember bytes per pixel count 
+@@ -874,71 +891,69 @@
+   switch (type)
+   {
+     case RGB_IMAGE :
+-        info->color_type = PNG_COLOR_TYPE_RGB;
+-	info->bit_depth      = 8;
++        color_type = PNG_COLOR_TYPE_RGB;
++	bit_depth      = 8;
+         bpp              = 3;
+         break;
+     case RGBA_IMAGE :
+-        info->color_type = PNG_COLOR_TYPE_RGB_ALPHA;
+-	info->bit_depth      = 8;
++        color_type = PNG_COLOR_TYPE_RGB_ALPHA;
++	bit_depth      = 8;
+         bpp              = 4;
+         break;
+     case GRAY_IMAGE :
+-        info->color_type = PNG_COLOR_TYPE_GRAY;
+-	info->bit_depth      = 8;
++        color_type = PNG_COLOR_TYPE_GRAY;
++	bit_depth      = 8;
+         bpp              = 1;
+         break;
+     case GRAYA_IMAGE :
+-        info->color_type = PNG_COLOR_TYPE_GRAY_ALPHA;
+-	info->bit_depth      = 8;
++        color_type = PNG_COLOR_TYPE_GRAY_ALPHA;
++	bit_depth      = 8;
+         bpp              = 2;
+         break;
+     case INDEXED_IMAGE :
+ 	bpp		 = 1;
+-	info->bit_depth      = 8;
+-        info->color_type = PNG_COLOR_TYPE_PALETTE;
+-	info->valid      |= PNG_INFO_PLTE;
+-        info->palette= (png_colorp) gimp_image_get_cmap(image_ID, &num_colors);
+-        info->num_palette= num_colors;
++	bit_depth      = 8;
++        color_type = PNG_COLOR_TYPE_PALETTE;
++	png_get_valid(pp, info, PNG_INFO_PLTE);
++	png_set_PLTE(pp, info, (png_colorp) gimp_image_get_cmap(image_ID, &num_colors), num_colors);
+         break;
+     case INDEXEDA_IMAGE :
+ 	bpp		 = 2;
+-	info->bit_depth      = 8;
+-	info->color_type = PNG_COLOR_TYPE_PALETTE;
++	bit_depth      = 8;
++	color_type = PNG_COLOR_TYPE_PALETTE;
+ 	respin_cmap (pp, info, image_ID); /* fix up transparency */
+ 	break;
+     case U16_RGB_IMAGE :
+-        info->color_type = PNG_COLOR_TYPE_RGB;
+-	info->bit_depth      = 16;
++        color_type = PNG_COLOR_TYPE_RGB;
++	bit_depth      = 16;
+         bpp              = 6;
+         break;
+     case U16_RGBA_IMAGE :
+-        info->color_type = PNG_COLOR_TYPE_RGB_ALPHA;
+-	info->bit_depth      = 16;
++        color_type = PNG_COLOR_TYPE_RGB_ALPHA;
++	bit_depth      = 16;
+         bpp              = 8;
+         break;
+     case U16_GRAY_IMAGE :
+-        info->color_type = PNG_COLOR_TYPE_GRAY;
+-	info->bit_depth      = 16;
++        color_type = PNG_COLOR_TYPE_GRAY;
++	bit_depth      = 16;
+         bpp              = 2;
+         break;
+     case U16_GRAYA_IMAGE :
+-        info->color_type = PNG_COLOR_TYPE_GRAY_ALPHA;
+-	info->bit_depth      = 16;
++        color_type = PNG_COLOR_TYPE_GRAY_ALPHA;
++	bit_depth      = 16;
+         bpp              = 4;
+         break;
+     case U16_INDEXED_IMAGE :
+ 	bpp		 = 2;
+-	info->bit_depth      = 16;
+-        info->color_type = PNG_COLOR_TYPE_PALETTE;
+-	info->valid      |= PNG_INFO_PLTE;
+-        info->palette= (png_colorp) gimp_image_get_cmap(image_ID, &num_colors);
+-        info->num_palette= num_colors;
++	bit_depth      = 16;
++        color_type = PNG_COLOR_TYPE_PALETTE;
++	png_get_valid(pp, info, PNG_INFO_PLTE);
++	png_set_PLTE(pp, info, (png_colorp) gimp_image_get_cmap(image_ID, &num_colors), num_colors);
+         break;
+     case U16_INDEXEDA_IMAGE :
+ 	bpp		 = 4;
+-	info->bit_depth      = 16;
+-	info->color_type = PNG_COLOR_TYPE_PALETTE;
++	bit_depth      = 16;
++	color_type = PNG_COLOR_TYPE_PALETTE;
+ 	respin_cmap (pp, info, image_ID); /* fix up transparency */
+ 	break;
+     default:
+@@ -950,30 +965,36 @@
+   * Fix bit depths for (possibly) smaller colormap images
+   */
+   
+-  if (info->valid & PNG_INFO_PLTE) {
+-    if (info->num_palette <= 2)
+-      info->bit_depth= 1;
+-    else if (info->num_palette <= 4)
+-      info->bit_depth= 2;
+-    else if (info->num_palette <= 16)
+-      info->bit_depth= 4;
++  if (png_get_valid(pp, info, PNG_INFO_PLTE)) {
++    png_get_PLTE(pp, info, &palette, &num_palette);
++    if (num_palette <= 2)
++      bit_depth= 1;
++    else if (num_palette <= 4)
++      bit_depth= 2;
++    else if (num_palette <= 16)
++      bit_depth= 4;
+     /* otherwise the default is fine */
+   }
+ 
++ png_set_compression_level (pp, pngvals.compression_level);
++ png_set_IHDR(pp, info, drawable->width, drawable->height,
++	      bit_depth, color_type, pngvals.interlaced, compression_type, filter_method);
++
++
+   // write icc profile
+ #if defined(PNG_iCCP_SUPPORTED)
+   if (gimp_image_has_icc_profile (image_ID, ICC_IMAGE_PROFILE)) {
+-    int size;
++    int  size;
+     char *buffer;
+     
+     buffer = gimp_image_get_icc_profile_by_mem (image_ID, &size,
+                                                 ICC_IMAGE_PROFILE);
+     png_set_iCCP (pp, info,
+            gimp_image_get_icc_profile_description (image_ID, ICC_IMAGE_PROFILE),
+-                  0, buffer, size);
++                  0, (png_const_bytep)buffer, size);
+     printf ("%s:%d %s() embedd icc profile \"%s\"\n",
+              __FILE__,__LINE__,__func__,
+-                                              info->iccp_name);
++	    (char *)iccp_name);
+   }
+ #endif
+ 
+@@ -1039,13 +1060,13 @@
+   * Convert unpacked pixels to packed if necessary
+   */
+ 
+-  if (info->color_type == PNG_COLOR_TYPE_PALETTE && info->bit_depth < 8)
++  if (color_type == PNG_COLOR_TYPE_PALETTE && bit_depth < 8)
+     png_set_packing(pp);
+ 
+   /* Set swapping for 16 bit per sample images */
+   
+ #ifndef WORDS_BIGENDIAN
+-  if (info->bit_depth == 16)
++  if (bit_depth == 16)
+ 	  png_set_swap(pp);
+ #endif
+   
+@@ -1063,6 +1084,7 @@
+ 
+   gimp_pixel_rgn_init(&pixel_rgn, drawable, 0, 0, drawable->width,
+                       drawable->height, FALSE, FALSE);
++  height=png_get_image_height(pp, info);
+ 
+   for (pass = 0; pass < num_passes; pass ++)
+   {
+@@ -1077,7 +1099,7 @@
+ 	num = end - begin;
+ 	
+ 	gimp_pixel_rgn_get_rect (&pixel_rgn, pixel, 0, begin, drawable->width, num);
+-        if (info->valid & PNG_INFO_tRNS) {
++        if (png_get_valid(pp, info, PNG_INFO_tRNS)) {
+           for (i = 0; i < num; ++i) {
+ 	    fixed= pixels[i];
+             for (k = 0; k < drawable->width; ++k) {
+@@ -1085,7 +1107,7 @@
+             }
+           }
+        /* Forgot this case before, what if there are too many colors? */
+-        } else if (info->valid & PNG_INFO_PLTE && bpp == 2) {
++        } else if (png_get_valid(pp, info, PNG_INFO_PLTE) && bpp == 2) {
+           for (i = 0; i < num; ++i) {
+ 	    fixed= pixels[i];
+             for (k = 0; k < drawable->width; ++k) {
+@@ -1095,9 +1117,8 @@
+         }
+ 	
+ 	png_write_rows (pp, pixels, num);
+-	
+ 	gimp_progress_update (((double)pass + (double)end /
+-                    (double)info->height) / (double)num_passes);
++                    (double)height) / (double)num_passes);
+       };
+   };
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__pnm__Makefile.am graphics/cinepaint/files/patch-plug-ins__pnm__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__pnm__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__pnm__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/pnm/Makefile.am.orig
++++ plug-ins/pnm/Makefile.am
+@@ -14,8 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__psd__Makefile.am graphics/cinepaint/files/patch-plug-ins__psd__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__psd__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__psd__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- plug-ins/psd/Makefile.am.orig
++++ plug-ins/psd/Makefile.am
+@@ -15,7 +15,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-	-lc
++	-lm
+ 
+ DEPS = \
+ 	$(top_builddir)/lib/libcinepaint.la
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__psd_save__Makefile.am graphics/cinepaint/files/patch-plug-ins__psd_save__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__psd_save__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__psd_save__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/psd_save/Makefile.am.orig
++++ plug-ins/psd_save/Makefile.am
+@@ -14,8 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = \
+ 	$(top_builddir)/lib/libcinepaint.la
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__rawphoto__Makefile.am graphics/cinepaint/files/patch-plug-ins__rawphoto__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__rawphoto__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__rawphoto__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,21 @@
+--- plug-ins/rawphoto/Makefile.am.orig
++++ plug-ins/rawphoto/Makefile.am
+@@ -23,8 +23,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
+@@ -32,7 +31,7 @@
+ 
+ dcraw_LDADD = \
+ 	$(LCMS_LIB) \
+-	-ljpeg -lz -lc -lm
++	-ljpeg -lz -lm -lintl
+ 
+ .PHONY: files
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__retinex__Makefile.am graphics/cinepaint/files/patch-plug-ins__retinex__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__retinex__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__retinex__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- plug-ins/retinex/Makefile.am.orig
++++ plug-ins/retinex/Makefile.am
+@@ -20,7 +20,7 @@
+ 	$(X_LIBS) \
+         $(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__screenshot__Makefile.am graphics/cinepaint/files/patch-plug-ins__screenshot__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__screenshot__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__screenshot__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/screenshot/Makefile.am.orig
++++ plug-ins/screenshot/Makefile.am
+@@ -22,8 +22,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__script-fu__Makefile.am graphics/cinepaint/files/patch-plug-ins__script-fu__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__script-fu__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__script-fu__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- plug-ins/script-fu/Makefile.am.orig
++++ plug-ins/script-fu/Makefile.am
+@@ -59,7 +59,7 @@
+ 	$(top_builddir)/plug-ins/dbbrowser/dbbrowser_utils.o	\
+ 	$(top_builddir)/lib/libcinepaint.la			\
+ 	$(X_LIBS)						\
+-	-lc
++	-lm
+ 
+ DEPS = \
+ 	$(top_builddir)/plug-ins/dbbrowser/dbbrowser_utils.o	\
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__sgi__Makefile.am graphics/cinepaint/files/patch-plug-ins__sgi__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__sgi__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__sgi__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/sgi/Makefile.am.orig
++++ plug-ins/sgi/Makefile.am
+@@ -14,9 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-					\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__sharpen__Makefile.am graphics/cinepaint/files/patch-plug-ins__sharpen__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__sharpen__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__sharpen__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/sharpen/Makefile.am.orig
++++ plug-ins/sharpen/Makefile.am
+@@ -15,9 +15,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-        $(top_builddir)/libhalf/cinepaint_half.lo       \
+-        $(OPENEXR_LIBS) \
+-	-lc
++        $(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__snoise__Makefile.am graphics/cinepaint/files/patch-plug-ins__snoise__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__snoise__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__snoise__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/snoise/Makefile.am.orig
++++ plug-ins/snoise/Makefile.am
+@@ -14,9 +14,8 @@
+ 
+ LDADD = $(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-        $(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = \
+ 	$(top_builddir)/lib/libcinepaint.la
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__sobel__Makefile.am graphics/cinepaint/files/patch-plug-ins__sobel__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__sobel__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__sobel__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/sobel/Makefile.am.orig
++++ plug-ins/sobel/Makefile.am
+@@ -15,9 +15,8 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-        $(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__spread__Makefile.am graphics/cinepaint/files/patch-plug-ins__spread__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__spread__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__spread__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/spread/Makefile.am.orig
++++ plug-ins/spread/Makefile.am
+@@ -15,8 +15,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-					\
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__tga__Makefile.am graphics/cinepaint/files/patch-plug-ins__tga__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__tga__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__tga__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/tga/Makefile.am.orig
++++ plug-ins/tga/Makefile.am
+@@ -14,9 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-					\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__tiff__Makefile.am graphics/cinepaint/files/patch-plug-ins__tiff__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__tiff__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__tiff__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,13 @@
+--- plug-ins/tiff/Makefile.am.orig
++++ plug-ins/tiff/Makefile.am
+@@ -26,9 +26,8 @@
+ 	$(OYRANOS_LIBS) \
+ 	@LCMS_LIB@                           \
+ 	@LIBTIFF_LIB@				\
+-        $(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__unsharp__Makefile.am graphics/cinepaint/files/patch-plug-ins__unsharp__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__unsharp__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__unsharp__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,11 @@
+--- plug-ins/unsharp/Makefile.am.orig
++++ plug-ins/unsharp/Makefile.am
+@@ -15,7 +15,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/files/patch-plug-ins__xwd__Makefile.am graphics/cinepaint/files/patch-plug-ins__xwd__Makefile.am
--- /usr/ports/graphics/cinepaint/files/patch-plug-ins__xwd__Makefile.am	1970-01-01 09:00:00.000000000 +0900
+++ graphics/cinepaint/files/patch-plug-ins__xwd__Makefile.am	2013-05-14 00:00:49.000000000 +0900
@@ -0,0 +1,12 @@
+--- plug-ins/xwd/Makefile.am.orig
++++ plug-ins/xwd/Makefile.am
+@@ -18,8 +18,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 
diff -urN /usr/ports/graphics/cinepaint/pkg-plist graphics/cinepaint/pkg-plist
--- /usr/ports/graphics/cinepaint/pkg-plist	2012-11-08 09:39:19.000000000 +0900
+++ graphics/cinepaint/pkg-plist	2013-05-14 00:00:49.000000000 +0900
@@ -1,6 +1,124 @@
 bin/cinepaint
 bin/cinepaint-remote
 bin/cinepainttool
+include/cinepaint/app/errors.h
+include/cinepaint/app/trace.h
+include/cinepaint/chainbutton.h
+include/cinepaint/channelops_pdb.h
+include/cinepaint/compat.h
+include/cinepaint/config.h
+include/cinepaint/convert_pdb.h
+include/cinepaint/dialog.h
+include/cinepaint/dll_api.h
+include/cinepaint/edit_pdb.h
+include/cinepaint/export.h
+include/cinepaint/fileops_pdb.h
+include/cinepaint/fl_i18n_cinepaint.h
+include/cinepaint/float16.h
+include/cinepaint/gtkdirtree.h
+include/cinepaint/guides_pdb.h
+include/cinepaint/helpui.h
+include/cinepaint/image_convert.h
+include/cinepaint/image_limits.h
+include/cinepaint/image_pdb.h
+include/cinepaint/intl.h
+include/cinepaint/libgimp/gimp.h
+include/cinepaint/libgimp/gimp1.2.h
+include/cinepaint/libgimp/gimpcompat.h
+include/cinepaint/libgimp/gimpintl.h
+include/cinepaint/libgimp/gimpmath.h
+include/cinepaint/libgimp/gimpui.h
+include/cinepaint/libgimp/stdplugins-intl.h
+include/cinepaint/matrix.h
+include/cinepaint/menu.h
+include/cinepaint/pdb.h
+include/cinepaint/pixmap.h
+include/cinepaint/plugin_main.h
+include/cinepaint/plugin_pdb.h
+include/cinepaint/rint.h
+include/cinepaint/selection_pdb.h
+include/cinepaint/size_entry.h
+include/cinepaint/ui.h
+include/cinepaint/undo_pdb.h
+include/cinepaint/unit.h
+include/cinepaint/unit_pdb.h
+include/cinepaint/unitmenu.h
+include/cinepaint/version.h
+include/cinepaint/widgets.h
+include/cinepaint/wire/c_typedefs.h
+include/cinepaint/wire/datadir.h
+include/cinepaint/wire/dl_list.h
+include/cinepaint/wire/enums.h
+include/cinepaint/wire/event.h
+include/cinepaint/wire/iodebug.h
+include/cinepaint/wire/libtile.h
+include/cinepaint/wire/precision.h
+include/cinepaint/wire/protocol.h
+include/cinepaint/wire/taskswitch.h
+include/cinepaint/wire/wire.h
+include/cinepaint/wire/wire_types.h
+include/cinepaint/wire/wirebuffer.h
+lib/cinepaint/%%VER%%/extra/dcraw
+lib/cinepaint/%%VER%%/extra/jhead
+lib/cinepaint/%%VER%%/plug-ins/blur
+lib/cinepaint/%%VER%%/plug-ins/bmp
+lib/cinepaint/%%VER%%/plug-ins/bracketing_to_hdr
+lib/cinepaint/%%VER%%/plug-ins/cineon
+lib/cinepaint/%%VER%%/plug-ins/collect
+lib/cinepaint/%%VER%%/plug-ins/compose
+lib/cinepaint/%%VER%%/plug-ins/dbbrowser
+lib/cinepaint/%%VER%%/plug-ins/decompose
+lib/cinepaint/%%VER%%/plug-ins/dicom
+lib/cinepaint/%%VER%%/plug-ins/edge
+lib/cinepaint/%%VER%%/plug-ins/fits
+lib/cinepaint/%%VER%%/plug-ins/gauss_rle
+lib/cinepaint/%%VER%%/plug-ins/gbr
+lib/cinepaint/%%VER%%/plug-ins/gifload
+lib/cinepaint/%%VER%%/plug-ins/hdr
+lib/cinepaint/%%VER%%/plug-ins/iff
+lib/cinepaint/%%VER%%/plug-ins/iol
+lib/cinepaint/%%VER%%/plug-ins/jpeg
+lib/cinepaint/%%VER%%/plug-ins/mblur
+lib/cinepaint/%%VER%%/plug-ins/median
+lib/cinepaint/%%VER%%/plug-ins/minimum
+lib/cinepaint/%%VER%%/plug-ins/noisify
+lib/cinepaint/%%VER%%/plug-ins/openexr
+lib/cinepaint/%%VER%%/plug-ins/pdf
+lib/cinepaint/%%VER%%/plug-ins/pic
+lib/cinepaint/%%VER%%/plug-ins/png
+lib/cinepaint/%%VER%%/plug-ins/pnm
+%%PRINT%%lib/cinepaint/%%VER%%/plug-ins/print
+lib/cinepaint/%%VER%%/plug-ins/psd
+lib/cinepaint/%%VER%%/plug-ins/psd_save
+lib/cinepaint/%%VER%%/plug-ins/rawphoto
+lib/cinepaint/%%VER%%/plug-ins/retinex
+lib/cinepaint/%%VER%%/plug-ins/rotate
+lib/cinepaint/%%VER%%/plug-ins/screenshot
+lib/cinepaint/%%VER%%/plug-ins/script-fu
+lib/cinepaint/%%VER%%/plug-ins/sgi
+lib/cinepaint/%%VER%%/plug-ins/sharpen
+lib/cinepaint/%%VER%%/plug-ins/snoise
+lib/cinepaint/%%VER%%/plug-ins/sobel
+lib/cinepaint/%%VER%%/plug-ins/spread
+lib/cinepaint/%%VER%%/plug-ins/tga
+lib/cinepaint/%%VER%%/plug-ins/tiff
+lib/cinepaint/%%VER%%/plug-ins/unsharp
+lib/cinepaint/%%VER%%/plug-ins/xwd
+lib/libcinepaint.a
+lib/libcinepaint.la
+lib/libcinepaint.so
+lib/libcinepaint.so.1
+lib/libcinepaintHalf.a
+lib/libcinepaintHalf.la
+lib/libcinepaintHalf.so
+lib/libcinepaintHalf.so.1
+lib/libcinepaint_fl_i18n.a
+lib/libcinepaint_fl_i18n.la
+lib/libcinepaint_fl_i18n.so
+lib/libcinepaint_fl_i18n.so.1
+libdata/pkgconfig/cinepaint-gtk.pc
+share/aclocal/cinepaint.m4
+share/applications/cinepaint.desktop
 %%DATADIR%%/%%VER%%/brushes/10x10squareBlurf16.gbr
 %%DATADIR%%/%%VER%%/brushes/10x10squaref16.gbr
 %%DATADIR%%/%%VER%%/brushes/11circlef16.gbr
@@ -16,7 +134,6 @@
 %%DATADIR%%/%%VER%%/brushes/1circlef16.gbr
 %%DATADIR%%/%%VER%%/brushes/20x20squareBlurf16.gbr
 %%DATADIR%%/%%VER%%/brushes/20x20squaref16.gbr
-%%DATADIR%%/%%VER%%/brushes/30x30twinklef16.gbr
 %%DATADIR%%/%%VER%%/brushes/3circlef16.gbr
 %%DATADIR%%/%%VER%%/brushes/3fcirclef16.gbr
 %%DATADIR%%/%%VER%%/brushes/5circlef16.gbr
@@ -108,6 +225,8 @@
 %%DATADIR%%/%%VER%%/brushes/hsparks.gih
 %%DATADIR%%/%%VER%%/brushes/pixelf16.gbr
 %%DATADIR%%/%%VER%%/brushes/vine.gih
+%%DATADIR%%/%%VER%%/cinepaintrc
+%%DATADIR%%/%%VER%%/cinepaintrc_user
 %%DATADIR%%/%%VER%%/curves/D100ev0
 %%DATADIR%%/%%VER%%/curves/DavidFmidtoneBoostA
 %%DATADIR%%/%%VER%%/curves/EV3-4.0
@@ -220,8 +339,6 @@
 %%DATADIR%%/%%VER%%/curves/v3
 %%DATADIR%%/%%VER%%/curves/v3h
 %%DATADIR%%/%%VER%%/curves/v3hb
-%%DATADIR%%/%%VER%%/gimprc
-%%DATADIR%%/%%VER%%/gimprc_user
 %%DATADIR%%/%%VER%%/gradients/Abstract_1
 %%DATADIR%%/%%VER%%/gradients/Abstract_2
 %%DATADIR%%/%%VER%%/gradients/Abstract_3
@@ -413,70 +530,6 @@
 %%DATADIR%%/%%VER%%/spot.splash.ppm
 %%DATADIR%%/%%VER%%/tips.txt
 %%DATADIR%%/%%VER%%/user_install
-%%OPENEXR:%%lib/cinepaint/%%VER%%/plug-ins/openexr
-include/cinepaint/app/errors.h
-include/cinepaint/app/trace.h
-lib/cinepaint/%%VER%%/extra/dcraw
-lib/cinepaint/%%VER%%/extra/jhead
-lib/cinepaint/%%VER%%/plug-ins/blur
-lib/cinepaint/%%VER%%/plug-ins/bmp
-lib/cinepaint/%%VER%%/plug-ins/bracketing_to_hdr
-lib/cinepaint/%%VER%%/plug-ins/cineon
-lib/cinepaint/%%VER%%/plug-ins/collect
-lib/cinepaint/%%VER%%/plug-ins/compose
-lib/cinepaint/%%VER%%/plug-ins/dbbrowser
-lib/cinepaint/%%VER%%/plug-ins/decompose
-lib/cinepaint/%%VER%%/plug-ins/dicom
-lib/cinepaint/%%VER%%/plug-ins/edge
-lib/cinepaint/%%VER%%/plug-ins/fits
-lib/cinepaint/%%VER%%/plug-ins/gauss_rle
-lib/cinepaint/%%VER%%/plug-ins/gbr
-lib/cinepaint/%%VER%%/plug-ins/gifload
-lib/cinepaint/%%VER%%/plug-ins/hdr
-lib/cinepaint/%%VER%%/plug-ins/icc_examin_cp
-lib/cinepaint/%%VER%%/plug-ins/iff
-lib/cinepaint/%%VER%%/plug-ins/iol
-lib/cinepaint/%%VER%%/plug-ins/jpeg
-lib/cinepaint/%%VER%%/plug-ins/mblur
-lib/cinepaint/%%VER%%/plug-ins/median
-lib/cinepaint/%%VER%%/plug-ins/minimum
-lib/cinepaint/%%VER%%/plug-ins/noisify
-lib/cinepaint/%%VER%%/plug-ins/pdf
-lib/cinepaint/%%VER%%/plug-ins/pic
-lib/cinepaint/%%VER%%/plug-ins/png
-lib/cinepaint/%%VER%%/plug-ins/pnm
-lib/cinepaint/%%VER%%/plug-ins/psd
-lib/cinepaint/%%VER%%/plug-ins/psd_save
-lib/cinepaint/%%VER%%/plug-ins/rawphoto
-lib/cinepaint/%%VER%%/plug-ins/retinex
-lib/cinepaint/%%VER%%/plug-ins/rotate
-lib/cinepaint/%%VER%%/plug-ins/screenshot
-lib/cinepaint/%%VER%%/plug-ins/script-fu
-lib/cinepaint/%%VER%%/plug-ins/sgi
-lib/cinepaint/%%VER%%/plug-ins/sharpen
-lib/cinepaint/%%VER%%/plug-ins/snoise
-lib/cinepaint/%%VER%%/plug-ins/sobel
-lib/cinepaint/%%VER%%/plug-ins/spread
-lib/cinepaint/%%VER%%/plug-ins/tga
-lib/cinepaint/%%VER%%/plug-ins/tiff
-lib/cinepaint/%%VER%%/plug-ins/unsharp
-lib/cinepaint/%%VER%%/plug-ins/xwd
-lib/libcinepaint.a
-lib/libcinepaint.la
-lib/libcinepaint.so
-lib/libcinepaint.so.0
-lib/libcinepaintHalf.a
-lib/libcinepaintHalf.la
-lib/libcinepaintHalf.so
-lib/libcinepaintHalf.so.0
-lib/libcinepaint_fl_i18n.a
-lib/libcinepaint_fl_i18n.la
-lib/libcinepaint_fl_i18n.so
-lib/libcinepaint_fl_i18n.so.0
-libdata/pkgconfig/cinepaint-gtk.pc
-share/aclocal/cinepaint.m4
-share/applications/cinepaint.desktop
-share/fonts/FreeSans.ttf
 share/locale/ca/LC_MESSAGES/cinepaint-script-fu.mo
 share/locale/ca/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/ca/LC_MESSAGES/cinepaint.mo
@@ -489,24 +542,24 @@
 share/locale/de/LC_MESSAGES/cinepaint-script-fu.mo
 share/locale/de/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/de/LC_MESSAGES/cinepaint.mo
-share/locale/de/LC_MESSAGES/icc_examin_cp.mo
 share/locale/el/LC_MESSAGES/cinepaint-script-fu.mo
 share/locale/el/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/el/LC_MESSAGES/cinepaint.mo
 share/locale/en_GB/LC_MESSAGES/cinepaint-script-fu.mo
 share/locale/en_GB/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/en_GB/LC_MESSAGES/cinepaint.mo
-share/locale/eo/LC_MESSAGES/icc_examin_cp.mo
 share/locale/es/LC_MESSAGES/cinepaint-script-fu.mo
 share/locale/es/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/es/LC_MESSAGES/cinepaint.mo
+share/locale/eu/LC_MESSAGES/cinepaint-script-fu.mo
+share/locale/eu/LC_MESSAGES/cinepaint-std-plugins.mo
+share/locale/eu/LC_MESSAGES/cinepaint.mo
 share/locale/fi/LC_MESSAGES/cinepaint-script-fu.mo
 share/locale/fi/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/fi/LC_MESSAGES/cinepaint.mo
 share/locale/fr/LC_MESSAGES/cinepaint-script-fu.mo
 share/locale/fr/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/fr/LC_MESSAGES/cinepaint.mo
-share/locale/fr/LC_MESSAGES/icc_examin_cp.mo
 share/locale/ga/LC_MESSAGES/cinepaint-script-fu.mo
 share/locale/ga/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/ga/LC_MESSAGES/cinepaint.mo
@@ -577,22 +630,21 @@
 share/locale/zh_TW/LC_MESSAGES/cinepaint-std-plugins.mo
 share/locale/zh_TW/LC_MESSAGES/cinepaint.mo
 share/pixmaps/cinepaint.png
-@dirrm %%DATADIR%%/%%VER%%/brushes
-@dirrm %%DATADIR%%/%%VER%%/curves
-@dirrm %%DATADIR%%/%%VER%%/gradients
-@dirrm %%DATADIR%%/%%VER%%/iol
-@dirrm %%DATADIR%%/%%VER%%/palettes
-@dirrm %%DATADIR%%/%%VER%%/patterns
 @dirrm %%DATADIR%%/%%VER%%/scripts
+@dirrm %%DATADIR%%/%%VER%%/patterns
+@dirrm %%DATADIR%%/%%VER%%/palettes
+@dirrm %%DATADIR%%/%%VER%%/iol
+@dirrm %%DATADIR%%/%%VER%%/gradients
+@dirrm %%DATADIR%%/%%VER%%/curves
+@dirrm %%DATADIR%%/%%VER%%/brushes
 @dirrm %%DATADIR%%/%%VER%%
 @dirrm %%DATADIR%%
-@dirrm include/cinepaint/app
-@dirrm include/cinepaint/libgimp
-@dirrm include/cinepaint/wire
-@dirrm lib/cinepaint/%%VER%%/extra
+@dirrmtry share/applications
 @dirrm lib/cinepaint/%%VER%%/plug-ins
+@dirrm lib/cinepaint/%%VER%%/extra
 @dirrm lib/cinepaint/%%VER%%
-@dirrm include/cinepaint
 @dirrm lib/cinepaint
-@dirrmtry share/applications
-@dirrmtry share/fonts
+@dirrm include/cinepaint/wire
+@dirrm include/cinepaint/libgimp
+@dirrm include/cinepaint/app
+@dirrm include/cinepaint
>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 tkato432 2013-05-13 19:10:08 UTC
- Update to version 1.0.4
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 19:12:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2013-05-21 06:43:40 UTC
Author: miwi
Date: Tue May 21 05:43:22 2013
New Revision: 318641
URL: http://svnweb.freebsd.org/changeset/ports/318641

Log:
  - Update to 1.0.4
  
  PR:		178595
  Submitted by:	Ports Fury

Added:
  head/graphics/cinepaint/files/patch-app__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-app__cms.c   (contents, props changed)
  head/graphics/cinepaint/files/patch-app__depth__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-app__gradient.c   (contents, props changed)
  head/graphics/cinepaint/files/patch-app__install.c   (contents, props changed)
  head/graphics/cinepaint/files/patch-app__layers_dialog.c   (contents, props changed)
  head/graphics/cinepaint/files/patch-app__main.c   (contents, props changed)
  head/graphics/cinepaint/files/patch-app__menus.c   (contents, props changed)
  head/graphics/cinepaint/files/patch-cinepaint-gtk.pc.in   (contents, props changed)
  head/graphics/cinepaint/files/patch-cinepainttool.in   (contents, props changed)
  head/graphics/cinepaint/files/patch-configure.in   (contents, props changed)
  head/graphics/cinepaint/files/patch-lib__fl_i18n__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__blur__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__jhead__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__cineon__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__collect__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__compose__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__dbbrowser__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__decompose__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__dicom__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__edge__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__fits__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__gauss_rle__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__gbr__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__hdr__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__iff__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__iol__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__jpeg__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__mblur__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__median__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__minimum__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__noisify__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__openexr__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__pdf__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__pdf__pdf.cpp   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__pic__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__png__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__png__png.c   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__pnm__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__psd__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__psd_save__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__rawphoto__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__retinex__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__screenshot__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__script-fu__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__sgi__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__sharpen__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__snoise__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__sobel__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__spread__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__tga__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__tiff__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__unsharp__Makefile.am   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins__xwd__Makefile.am   (contents, props changed)
Modified:
  head/graphics/cinepaint/Makefile
  head/graphics/cinepaint/distinfo   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins-icc_examin-icc_examin_icc_helfer_fltk.cpp   (contents, props changed)
  head/graphics/cinepaint/files/patch-plug-ins-png-png.c   (contents, props changed)
  head/graphics/cinepaint/pkg-plist   (contents, props changed)

Modified: head/graphics/cinepaint/Makefile
==============================================================================
--- head/graphics/cinepaint/Makefile	Tue May 21 04:42:48 2013	(r318640)
+++ head/graphics/cinepaint/Makefile	Tue May 21 05:43:22 2013	(r318641)
@@ -1,76 +1,83 @@
-# New ports collection makefile for:	cinepaint
-# Date created:				11 Oct 2003
-# Whom:					David Yeske <dyeske@gmail.com>
-#
+# Created by: David Yeske <dyeske@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	cinepaint
-PORTVERSION=	0.22
-PORTREVISION=	10
+DISTVERSION=	1.0-4
 CATEGORIES=	graphics
-MASTER_SITES=	SF/${PORTNAME}/CinePaint/CinePaint-${PORTVERSION}-1
-DISTNAME=	${PORTNAME}-${PORTVERSION}-1
+MASTER_SITES=	SF/${PORTNAME}/CinePaint/CinePaint-${DISTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An editing tool used for painting and retouching of movies
+COMMENT=	Editing tool used for painting and retouching of movies
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
+LICENSE=	GPLv2 LGPL21 MIT
+LICENSE_COMB=	multi
+
+LIB_DEPENDS=	IlmImf:${PORTSDIR}/graphics/OpenEXR \
+		ftgl:${PORTSDIR}/graphics/ftgl \
+		jpeg:${PORTSDIR}/graphics/jpeg \
+		lcms:${PORTSDIR}/graphics/lcms \
 		png15:${PORTSDIR}/graphics/png \
-		lcms.1:${PORTSDIR}/graphics/lcms \
-		tiff.4:${PORTSDIR}/graphics/tiff \
-		ftgl.2:${PORTSDIR}/graphics/ftgl
+		tiff:${PORTSDIR}/graphics/tiff \
+    		fltk:${PORTSDIR}/x11-toolkits/fltk
 
-USE_AUTOTOOLS=	libtool
-GNU_CONFIGURE=	yes
+OPTIONS_DEFINE=	OYRANOS PRINT
+OYRANOS_DESC=	ICC profile support via Oyranos
+PRINT_DESC=	Gutenprint (gimp-print) plugin
+
+USES=		gettext pkgconfig
+USE_XORG=	xmu
+USE_GNOME=	gtk20
+USE_GHOSTSCRIPT_RUN=yes
 USE_PYTHON=	yes
-USE_GNOME=	gtk12
-USES=		gettext
+USE_GMAKE=	yes
+USE_AUTOTOOLS=	libtoolize aclocal automake autoconf
+LIBTOOLIZE_ARGS=--force
+ACLOCAL_ARGS=	-I aclocal
+AUTOMAKE_ARGS=	--copy --force-missing --foreign
 USE_LDCONFIG=	yes
-USE_XORG=	xpm xi xext xft xinerama
-
-MAN1=		cinepaint.1 cinepainttool.1
-
-PLIST_SUB=	VER=${PORTVERSION}-1
+MAKE_JOBS_SAFE=	yes
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}-1
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS_DEFINE=	OPENEXR
-OPTIONS_DEFAULT=	OPENEXR
-OPENEXR_DESC=	Use OpenEXR
+PLIST_SUB=	VER="${DISTVERSION}"
 
-CFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib -lintl
+MAN1=		cinepaint.1 cinepainttool.1
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MOPENEXR}
-LIB_DEPENDS+=	IlmImf:${PORTSDIR}/graphics/OpenEXR \
-    		fltk.1:${PORTSDIR}/x11-toolkits/fltk
-CONFIGURE_ARGS+=	--with-openexr-prefix=${LOCALBASE}
-CFLAGS+=	-I${LOCALBASE}/include/openEXR
-PLIST_SUB+=	OPENEXR:=""
+.if ${PORT_OPTIONS:MOYRANOS}
+LIB_DEPENDS+=	oyranos:${PORTSDIR}/graphics/oyranos
 .else
-PLIST_SUB+=	OPENEXR:="@comment "
+CONFIGURE_ENV+=	ac_cv_path_OY_CONFIG=no
 .endif
 
-CPPFLAGS+=	${CFLAGS}
+.if ${PORT_OPTIONS:MPRINT}
+LIB_DEPENDS+=	gutenprint:${PORTSDIR}/print/gutenprint-base
+PLIST_SUB+=	PRINT=""
+.else
+CONFIGURE_ARGS+=	--disable-print
+PLIST_SUB+=	PRINT="@comment "
+.endif
+
+post-extract:
+	@${LN} -sf gimprc.in ${WRKSRC}/cinepaintrc.in
+	@${LN} -sf gimprc_user.in ${WRKSRC}/cinepaintrc_user.in
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's| -Wall||' \
-		${WRKSRC}/configure
-
-	@${REINPLACE_CMD} -E -e \
-		's|-LINUX.+$$|| ; s|[(]libdir[)]/pkgconfig|(prefix)/libdata/pkgconfig|' \
-		${WRKSRC}/Makefile.in
-
+		'/^pkgconfigdir/s|$$(libdir)|$$(prefix)/libdata| ; \
+		 s|gimprc|cinepaintrc|g' \
+		${WRKSRC}/Makefile.am
+	@${REINPLACE_CMD} -e \
+		'/cms-profile-path/s|".*"|"${LOCALBASE}/share/color/icc"| ; \
+		 s|/usr/share|${LOCALBASE}/share|' \
+		${WRKSRC}/cinepaintrc.in
+	@${REINPLACE_CMD} -e \
+		's|gimprc|cinepaintrc|g' \
+		${WRKSRC}/user_install.in
 	@${REINPLACE_CMD} -e \
 		's|static GDrawableType|static GImageType|' \
 		${WRKSRC}/plug-ins/psd/psd.c
 
-	@${FIND} ${WRKSRC} -type f -name "*.c" -o -name "*.cpp" -o -name "*.cxx" -o -name "*.h" | ${XARGS} \
-	   ${REINPLACE_CMD} -e '/^#include <FL/s|.h>$$|.H>|; /^#include "FL/s|.h"$$|.H"|; \
-	   s|fl_file_chooser.H|Fl_File_Chooser.H|g; s|#include <Fl|#include <FL|g; s|<FL/gl.H>|<FL/gl.h>|'
-
 .include <bsd.port.mk>

Modified: head/graphics/cinepaint/distinfo
==============================================================================
--- head/graphics/cinepaint/distinfo	Tue May 21 04:42:48 2013	(r318640)
+++ head/graphics/cinepaint/distinfo	Tue May 21 05:43:22 2013	(r318641)
@@ -1,2 +1,2 @@
-SHA256 (cinepaint-0.22-1.tar.gz) = bb08a9210658959772df12408769d660999ede168b7431514e1f3cead07c0fea
-SIZE (cinepaint-0.22-1.tar.gz) = 12380745
+SHA256 (cinepaint-1.0-4.tar.gz) = 57a748ed4b9ce93ace379a5476f815e741a863425a6d5181646b49e7cba2578e
+SIZE (cinepaint-1.0-4.tar.gz) = 12167016

Added: head/graphics/cinepaint/files/patch-app__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-app__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- app/Makefile.am.orig
++++ app/Makefile.am
+@@ -420,7 +420,8 @@
+ 	$(GTK_LIBS) \
+ 	$(X_LIBS) \
+ 	$(OYRANOS_LIBS) \
+-	$(LCMS_LIB)
++	$(LCMS_LIB) \
++	-lm
+ 
+ cinepaint_remote_LDADD = \
+ 	$(GTK_LIBS) \

Added: head/graphics/cinepaint/files/patch-app__cms.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-app__cms.c	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,263 @@
+--- app/cms.c.orig
++++ app/cms.c
+@@ -37,16 +37,9 @@
+ #endif
+ 
+ #ifdef HAVE_OY
+-#include <oyranos/oyranos.h>
+-#ifndef OYRANOS_VERSION
+-#define OYRANOS_VERSION 0
+-#endif
+-#if OYRANOS_VERSION < 108
+-#include <arpa/inet.h>  /* ntohl */
+-#include <oyranos/oyranos_monitor.h>
+-#else
+-#include <oyranos/oyranos_alpha.h>
+-#endif
++#include <oyranos_devices.h>
++#include <oyObject_s.h>
++#include <oyProfiles_s.h>
+ #endif
+ 
+ #include "config.h"
+@@ -114,7 +107,7 @@
+     cmsHPROFILE handle;
+     char       *data;                   /* save original data for profile i/o */
+     size_t      size;
+-    char        cspace[8];
++    const char *cspace;
+ };
+ 
+ /* same for transform */
+@@ -348,7 +341,7 @@
+ 
+ #ifdef HAVE_OY
+ # if OYRANOS_VERSION > 107
+-int iccMessageFunc( int code, const oyStruct_s * context, const char * format, ... )
++int iccMessageFunc( int code, const oyPointer * context, const char * format, ... )
+ {
+   char* text = 0, *pos = 0;
+   va_list list;
+@@ -359,10 +352,10 @@
+     return 0;
+ 
+ 
+-  if(context && oyOBJECT_NONE < context->type_)
++  if(context && oyOBJECT_NONE < ((oyStruct_s*)context)->type_)
+   {
+-    type_name = oyStruct_TypeToText( context );
+-    id = oyObject_GetId( context->oy_ );
++    type_name = oyStruct_TypeToText( (oyStruct_s*)context );
++    id = oyObject_GetId( ((oyStruct_s*)context)->oy_ );
+   }
+ 
+   text = (char*)calloc(sizeof(char), 4096);
+@@ -463,7 +456,7 @@
+       const char *display_name = gdk_get_display ();
+ 
+       test = oyGetMonitorProfile( display_name, &test_size, my_alloc_func );
+-      printf("%s:%d %s() monitor profile size: %d\n",__FILE__,__LINE__,__func__,
++      printf("%s:%d %s() monitor profile size: %lu\n",__FILE__,__LINE__,__func__,
+               test_size );
+ 
+       if (test == NULL || !test_size)
+@@ -566,36 +559,36 @@
+ 
+ const char* 
+ cms_get_color_space_name (cmsHPROFILE hProfile)
+-{   static gchar name[10];
++{   static char *name = 10;
+ 
+     switch (cmsGetColorSpace (hProfile))
+     {
+-        case icSigXYZData: sprintf(name, _("XYZ")); break;
+-        case icSigLabData: sprintf(name, _("Lab")); break;
+-        case icSigLuvData: sprintf(name, _("Luv")); break;
+-        case icSigYCbCrData: sprintf(name, _("YCbCr")); break;
+-        case icSigYxyData: sprintf(name, _("Yxy")); break;
+-        case icSigRgbData: sprintf(name, _("Rgb")); break;
+-        case icSigGrayData: sprintf(name, _("Gray")); break;
+-        case icSigHsvData: sprintf(name, _("Hsv")); break;
+-        case icSigHlsData: sprintf(name, _("Hls")); break;
+-        case icSigCmykData: sprintf(name, _("Cmyk")); break;
+-        case icSigCmyData: sprintf(name, _("Cmy")); break;
+-        case icSig2colorData: sprintf(name, _("2color")); break;
+-        case icSig3colorData: sprintf(name, _("3color")); break;
+-        case icSig4colorData: sprintf(name, _("4color")); break;
+-        case icSig5colorData: sprintf(name, _("5color")); break;
+-        case icSig6colorData: sprintf(name, _("6color")); break;
+-        case icSig7colorData: sprintf(name, _("7color")); break;
+-        case icSig8colorData: sprintf(name, _("8color")); break;
+-        case icSig9colorData: sprintf(name, _("9color")); break;
+-        case icSig10colorData: sprintf(name, _("10color")); break;
+-        case icSig11colorData: sprintf(name, _("11color")); break;
+-        case icSig12colorData: sprintf(name, _("12color")); break;
+-        case icSig13colorData: sprintf(name, _("13color")); break;
+-        case icSig14colorData: sprintf(name, _("14color")); break;
+-        case icSig15colorData: sprintf(name, _("15color")); break;
+-        default: name[0] = '\0';
++        case icSigXYZData: name = _("XYZ"); break;
++        case icSigLabData: name = _("Lab"); break;
++        case icSigLuvData: name = _("Luv"); break;
++        case icSigYCbCrData: name = _("YCbCr"); break;
++        case icSigYxyData: name = _("Yxy"); break;
++        case icSigRgbData: name = _("Rgb"); break;
++        case icSigGrayData: name = _("Gray"); break;
++        case icSigHsvData: name = _("Hsv"); break;
++        case icSigHlsData: name = _("Hls"); break;
++        case icSigCmykData: name = _("Cmyk"); break;
++        case icSigCmyData: name = _("Cmy"); break;
++        case icSig2colorData: name = _("2color"); break;
++        case icSig3colorData: name = _("3color"); break;
++        case icSig4colorData: name = _("4color"); break;
++        case icSig5colorData: name = _("5color"); break;
++        case icSig6colorData: name = _("6color"); break;
++        case icSig7colorData: name = _("7color"); break;
++        case icSig8colorData: name = _("8color"); break;
++        case icSig9colorData: name = _("9color"); break;
++        case icSig10colorData: name = _("10color"); break;
++        case icSig11colorData: name = _("11color"); break;
++        case icSig12colorData: name = _("12color"); break;
++        case icSig13colorData: name = _("13color"); break;
++        case icSig14colorData: name = _("14color"); break;
++        case icSig15colorData: name = _("15color"); break;
++        default: name = "";
+     }
+ 
+     return name;
+@@ -603,17 +596,16 @@
+ 
+ const char**
+ cms_get_color_space_channel_names (cmsHPROFILE hProfile)
+-{   static char** name = 0;
++{   static char* name[5] = {0,0,0,0,0};
+     const char** ret = 0;
+-    if(!name)
++    if(!name[0])
+     { int i;
+-      name=(char**)calloc(sizeof(char**),4);
+       for(i = 0; i < 4; ++i)
+-        name[i] = (char*)calloc(sizeof(char*),36);
++        name[i] = (char*)calloc(sizeof(char),128);
+     }
++    sprintf(name[0], "---");
+     sprintf(name[1], "---");
+     sprintf(name[2], "---");
+-    sprintf(name[3], "---");
+ 
+     ret = (const char**) name;
+     sprintf( name[3],_("Alpha"));
+@@ -683,7 +675,7 @@
+ 
+ const char*
+ cms_get_device_class_name (cmsHPROFILE hProfile)
+-{   static char class[15];
++{   static char class[128];
+ 
+     switch (cmsGetDeviceClass (hProfile))
+     {
+@@ -1193,6 +1185,8 @@
+  */
+ const char * cms_get_profile_cspace ( CMSProfile         * profile )
+ {
++  if(!profile->cspace)
++    return "";
+   return profile->cspace;
+ }
+ 
+@@ -1222,22 +1216,21 @@
+ #ifdef HAVE_OY
+     if ( profile == NULL )
+     {
++      char *pp_name = NULL;
+       /* add path to non pathnamed file names */
+       if(file_name && !strchr(file_name, OY_SLASH_C))
+       {
+-        char *pp_name = oyGetPathFromProfileName( file_name, my_alloc_func );
++        pp_name = oyGetPathFromProfileName( file_name, my_alloc_func );
+ 
+         if(pp_name && strlen(pp_name))
+         {
+           fullFileName = (char*) calloc (MAX_PATH, sizeof(char));;
+           sprintf(fullFileName, "%s%s%s", pp_name, OY_SLASH, file_name);;
+         }
+-        if(pp_name) free(pp_name);
+       } else
+       /* catch non correct paths */
+       if(file_name && strchr(file_name, OY_SLASH_C))
+       {
+-        char *pp_name = NULL;
+         char *ptr = NULL;
+ 
+         ptr = strrchr(file_name, OY_SLASH_C);
+@@ -1251,12 +1244,13 @@
+             fullFileName = (char*) calloc (MAX_PATH, sizeof(char));;
+             sprintf(fullFileName, "%s%s%s", pp_name, OY_SLASH, ptr);;
+           }
+-          if(pp_name) free(pp_name);
+         }
+       }
+ 
+       /* give lcms */
+-      profile = cmsOpenProfileFromFile (fullFileName, "r");
++      if (pp_name);
++        profile = cmsOpenProfileFromFile (fullFileName, "r");
++      if (pp_name) free(pp_name);
+     }
+ #endif
+ 
+@@ -1282,8 +1276,7 @@
+     return_value = g_new(CMSProfile, 1);
+     return_value->cache_key = strdup(cms_get_profile_keyname(profile,mem));
+     return_value->handle = profile;
+-    sprintf( return_value->cspace,
+-             cms_get_color_space_name( return_value->handle ) );
++    return_value->cspace = cms_get_color_space_name( return_value->handle );
+ 
+     /* save an copy of the original icc profile to mem */
+     return_value->size = 0;
+@@ -1336,8 +1329,7 @@
+     return_value = g_new(CMSProfile, 1);
+     return_value->cache_key = strdup(cms_get_profile_keyname(profile,mem_pointer));
+     return_value->handle = profile;
+-    sprintf( return_value->cspace,
+-             cms_get_color_space_name( return_value->handle ) );
++    return_value->cspace = cms_get_color_space_name( return_value->handle );
+ 
+     cache_entry = g_new(ProfileCacheEntry, 1);
+     cache_entry->ref_count = 1;
+@@ -2689,7 +2681,7 @@
+ 
+     GSList *profile_file_names = 0;
+     GSList *iterator = 0;
+-    gchar *current_filename;
++    gchar *current_long_fname;
+     CMSProfile *current_profile;
+     CMSProfileInfo *current_profile_info;      
+     int pos = can_select_none ? 1 : 0, select_pos = -1;
+@@ -2720,16 +2712,20 @@
+ 
+     while (iterator != NULL)
+     {
+-        current_filename = iterator->data;
+-        current_profile = cms_get_profile_from_file(current_filename);
++        const char *file_name;
++        current_long_fname = iterator->data;
++        file_name = current_long_fname;
++        if(strrchr(file_name,'/'))
++          file_name = strrchr(file_name,'/') + 1;
++        current_profile = cms_get_profile_from_file(current_long_fname);
+ 	current_profile_info = cms_get_profile_info(current_profile);
+         if(prefered_name && strlen(prefered_name) &&
+-           strcmp( current_filename, prefered_name ) == 0 )
++           strcmp( file_name, prefered_name ) == 0 )
+           select_pos = pos;
+-        sprintf(label_text, "%s (%s)", current_profile_info->description, current_filename);
++        sprintf(label_text, "%s (%s)", current_profile_info->description, current_long_fname);
+         menuitem = gtk_menu_item_new_with_label (label_text);
+ 	gtk_menu_append (GTK_MENU (menu), menuitem);
+-	gtk_object_set_data_full(GTK_OBJECT(menuitem), "value", (gpointer)current_filename, g_free);
++	gtk_object_set_data_full(GTK_OBJECT(menuitem), "value", (gpointer)current_long_fname, g_free);
+ 
+ 	cms_return_profile(current_profile);
+ 

Added: head/graphics/cinepaint/files/patch-app__depth__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-app__depth__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- app/depth/Makefile.am.orig
++++ app/depth/Makefile.am
+@@ -11,7 +11,8 @@
+ 
+ libdepth_la_LIBADD = \
+ 	$(top_builddir)/lib/libcinepaint.la \
+-	$(GTK_LIBS)
++	$(GTK_LIBS) \
++	-lm
+ 
+ libdepth_la_SOURCES = \
+ 	bezier_select.c \

Added: head/graphics/cinepaint/files/patch-app__gradient.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-app__gradient.c	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,11 @@
+--- app/gradient.c.orig
++++ app/gradient.c
+@@ -5452,7 +5452,7 @@
+           g_message (_("Corrupt segment %d in gradient file '%s'."),
+                      i, filename);
+           fclose (file);
+-          return NULL;
++          return;
+         }
+ #else
+ 		if (sscanf(line, "%lf%lf%lf%lf%lf%lf%lf%lf%lf%lf%lf%d%d",

Added: head/graphics/cinepaint/files/patch-app__install.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-app__install.c	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,11 @@
+--- app/install.c.orig
++++ app/install.c
+@@ -475,7 +475,7 @@
+ 
+   CP_TEXT_INSERT( font_strong, _("User Installation Log\n\n") );
+ 
+-#if 1
++#if 0
+ 	{	const char* msg = UserInstall(gimp_directory());
+ 		if(msg)
+ 		{

Added: head/graphics/cinepaint/files/patch-app__layers_dialog.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-app__layers_dialog.c	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,11 @@
+--- app/layers_dialog.c.orig
++++ app/layers_dialog.c
+@@ -2773,7 +2773,7 @@
+ # ifdef DEBUG
+     printf("%s:%d %s() wrong data or widget\n", __FILE__,__LINE__,__func__);
+ # endif
+-    return FALSE;
++    return;
+   }
+ 
+ 

Added: head/graphics/cinepaint/files/patch-app__main.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-app__main.c	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,21 @@
+--- app/main.c.orig
++++ app/main.c
+@@ -448,7 +448,8 @@
+ #ifdef WIN32
+ 
+ #else
+-# ifndef DEBUG_
++  if (use_debug_handler)
++  {
+   /* Handle some signals */
+   signal (SIGHUP, on_signal);
+   signal (SIGINT, on_signal);
+@@ -466,7 +467,7 @@
+   /* Handle shmem reload */
+   signal( SIGUSR2, on_sig_refresh);
+ # endif
+-# endif /* DEBUG */
++  }
+ #endif
+   /* Keep the command line arguments--for use in gimp_init */
+   gimp_argc = argc - 1;

Added: head/graphics/cinepaint/files/patch-app__menus.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-app__menus.c	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,25 @@
+--- app/menus.c.orig
++++ app/menus.c
+@@ -1597,7 +1597,7 @@
+ char*
+ menu_entry_translate (const char* entry)
+ {
+-  char *text = (char*) calloc (1024, sizeof(char)),
++  char *text = (char*) calloc (sizeof(char), 1024),
+        *word = 0;
+   const char *tmp = 0;
+ 
+@@ -1647,11 +1647,11 @@
+   // resize memory
+   if(strlen(text))
+   {
+-    word = (char*) calloc( strlen(text) + 1, sizeof(char) );
++    word = (char*) calloc( sizeof(char), strlen(text) + 4 );
+     memcpy( word, text, strlen( text ) + 1 );
+     free (text);
+     return word;
+   }
+   else
+-    return (char*) calloc(1,sizeof(char));
++    return (char*) calloc(sizeof(char),1);
+ }

Added: head/graphics/cinepaint/files/patch-cinepaint-gtk.pc.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-cinepaint-gtk.pc.in	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- cinepaint-gtk.pc.in.orig
++++ cinepaint-gtk.pc.in
+@@ -11,6 +11,7 @@
+ Name: cinepaint-gtk
+ Description: Cinepaint Plug-In Library Using GTK+
+ Version: @MAJOR_VERSION@.@MINOR_VERSION@
+-Libs: -L${libdir} -lcinepaint @GTK_LIBS@
+-Cflags: -I${includedir} @GTK_CFLAGS@
++Requires: gtk+-2.0
++Libs: -L${libdir} -lcinepaint 
++Cflags: -I${includedir} 
+ 

Added: head/graphics/cinepaint/files/patch-cinepainttool.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-cinepainttool.in	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,23 @@
+--- cinepainttool.in.orig
++++ cinepainttool.in
+@@ -166,7 +166,7 @@
+       ;;
+     --cflags-local)
+       my_gtk_cflags=$gtk_cflags
+-      echo -I@abs_top_srcdir@ -I@abs_top_srcdir@/lib $my_gtk_cflags
++      echo $my_gtk_cflags
+       ;;
+     --libs | --libs-nocinepaintui)
+       my_gtk_libs=
+@@ -198,8 +198,9 @@
+           my_gtk_libs="$my_gtk_libs $i"
+         fi
+       done
+-      export `cat @abs_top_srcdir@/lib/libcinepaint.la | grep dlname | sed s/\'//g`
+-      echo @abs_top_srcdir@/lib/.libs/$dlname $my_gtk_libs
++      export `cat @libdir@/libcinepaint.la | grep dlname | sed -e s/\'//g -e s/dlname/dlname1/`
++      export `cat @libdir@/libcinepainthalf.la | grep dlname | sed -e s/\'//g -e s/dlname/dlname2/`
++      echo @libdir@/$dlname1 @libdir@/$dlname2 $my_gtk_libs
+       ;;
+     --libs-noui)
+       glib_ldflags=`echo $gtk_libs | sed -e 's/^.*-lgdk[^ ]* *\(-L[^ ]*\).*$/\1/' -e 's/^.* -lgdk[^ ]* .*$//'`

Added: head/graphics/cinepaint/files/patch-configure.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-configure.in	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,43 @@
+--- configure.in.orig	2013-05-06 05:19:29.000000000 +0900
++++ configure.in	2013-05-09 01:25:06.000000000 +0900
+@@ -2,7 +2,7 @@
+ 
+ prefix=/usr/bin
+ 
+-AC_INIT(gimprc.in)
++AC_INIT(cinepaintrc.in)
+ AM_CONFIG_HEADER(lib/config.h)
+ 
+ dnl Initialize automake stuff
+@@ -109,7 +109,7 @@
+ dnl check for pkg-config
+ export PKG_CONFIG_PATH
+ AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
+-if test "x$PKG_CONFIG" == "xno"; then
++if test "x$PKG_CONFIG" = "xno"; then
+   AC_MSG_WARN([
+ *** Check for pkg-config failed. Many packages requires it.
+ *** You can download it from http://pkgconfig.sourceforge.net/  .])
+@@ -517,9 +517,9 @@
+     if test "x$FLTK_CONFIG" != "xno"; then
+       FLTK_CONFIG="$FLTK_CONFIG"
+         FLTK_LDFLAGS="`$FLTK_CONFIG --use-images --ldflags | sed \"$STRIPOPT\"`"
+-        FLTK_LIBS_PURE="`echo $FLTK_LDFLAGS | sed  's/-O.// ; s/-isysroot /-L/ ; s/-arch ppc// ; s/-arch i386//'`"
++        FLTK_LIBS_PURE="`echo $FLTK_LDFLAGS | sed  's/ -O. // ; s/-isysroot /-L/ ; s/-arch ppc// ; s/-arch i386//'`"
+         FLTK_LIBS="\$(top_builddir)/lib/fl_i18n/libcinepaint_fl_i18n.la $FLTK_LIBS_PURE"
+-        FLTK_CFLAGS=`$FLTK_CONFIG --cxxflags | sed  's/-O.// ; s/-isysroot /-L/ ; s/-arch ppc// ; s/-arch i386//'`
++        FLTK_CFLAGS=`$FLTK_CONFIG --cxxflags | sed  's/ -O. // ; s/-isysroot /-L/ ; s/-arch ppc// ; s/-arch i386//'`
+     else
+       AC_MSG_WARN([
+ *** Check for fltk-config failed. Depending plug-ins may not compile.
+@@ -818,8 +818,8 @@
+ AC_OUTPUT(
+ Makefile
+ user_install
+-gimprc
+-gimprc_user
++cinepaintrc
++cinepaintrc_user
+ cinepainttool
+ cinepaint-gtk.pc
+ cinepaint.spec

Added: head/graphics/cinepaint/files/patch-lib__fl_i18n__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-lib__fl_i18n__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- lib/fl_i18n/Makefile.am.orig
++++ lib/fl_i18n/Makefile.am
+@@ -26,8 +26,7 @@
+ 	-I$(top_srcdir) -I$(includedir)
+ 
+ libcinepaint_fl_i18n_la_LIBADD = \
+-	$(FLTK_LIBS_PURE) \
+-	-lc
++	$(FLTK_LIBS_PURE)
+ 
+ .PHONY: files
+ 

Modified: head/graphics/cinepaint/files/patch-plug-ins-icc_examin-icc_examin_icc_helfer_fltk.cpp
==============================================================================
--- head/graphics/cinepaint/files/patch-plug-ins-icc_examin-icc_examin_icc_helfer_fltk.cpp	Tue May 21 04:42:48 2013	(r318640)
+++ head/graphics/cinepaint/files/patch-plug-ins-icc_examin-icc_examin_icc_helfer_fltk.cpp	Tue May 21 05:43:22 2013	(r318641)
@@ -1,11 +0,0 @@
---- plug-ins/icc_examin/icc_examin/icc_helfer_fltk.cpp.orig	2008-09-03 02:07:08.000000000 +0200
-+++ plug-ins/icc_examin/icc_examin/icc_helfer_fltk.cpp	2008-09-03 02:08:02.000000000 +0200
-@@ -226,7 +226,7 @@
- 
-   int  awake(void)
-   {
--    Fl::awake(0);
-+    Fl::awake((void *)0);
-     return 0;
-   }
-   int  leerWait(void) { return 0; }

Modified: head/graphics/cinepaint/files/patch-plug-ins-png-png.c
==============================================================================
--- head/graphics/cinepaint/files/patch-plug-ins-png-png.c	Tue May 21 04:42:48 2013	(r318640)
+++ head/graphics/cinepaint/files/patch-plug-ins-png-png.c	Tue May 21 05:43:22 2013	(r318641)
@@ -1,28 +0,0 @@
---- plug-ins/png/png.c.orig	2006-11-24 21:52:55.000000000 +0100
-+++ plug-ins/png/png.c	2012-04-27 19:08:52.000000000 +0200
-@@ -59,6 +59,7 @@
- #include "libgimp/stdplugins-intl.h"
- 
- #include <png.h>		/* PNG library definitions */
-+#include <pngpriv.h>
- 
- /*
-  * Constants...
-@@ -405,7 +406,7 @@
-   info = (png_infop)calloc(sizeof(png_info), 1);
- #endif /* PNG_LIBPNG_VER > 88 */
- 
--  if (setjmp (pp->jmpbuf))
-+  if (setjmp (png_jmpbuf(pp)))
-   {
-     g_message ("%s\nPNG error. File corrupted?", filename);
-     return image;
-@@ -824,7 +825,7 @@
-   info = (png_infop)calloc(sizeof(png_info), 1);
- #endif /* PNG_LIBPNG_VER > 88 */
- 
--  if (setjmp (pp->jmpbuf))
-+  if (setjmp (png_jmpbuf(pp)))
-   {
-     g_message ("%s\nPNG error. Couldn't save image", filename);
-     return 0;

Added: head/graphics/cinepaint/files/patch-plug-ins__blur__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__blur__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/blur/Makefile.am.orig
++++ plug-ins/blur/Makefile.am
+@@ -18,8 +18,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+ 	$(top_builddir)/libhalf/cinepaint_half.lo	\
+-	$(OPENEXR_LIBS) \
+-	-lc
++	$(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/bracketing_to_hdr/Makefile.am.orig
++++ plug-ins/bracketing_to_hdr/Makefile.am
+@@ -51,8 +51,7 @@
+ 	./FL_adds/libfl_adds.la \
+ 	./gui/libgui.la \
+ 	$(FLTK_LIBS) \
+-	$(GTK_LIBS) \
+-	-lc
++	$(GTK_LIBS)
+ 
+ DEPS = \
+ 	./br_core/libbr_core.la \

Added: head/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__jhead__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__bracketing_to_hdr__jhead__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,11 @@
+--- plug-ins/bracketing_to_hdr/jhead/Makefile.am.orig
++++ plug-ins/bracketing_to_hdr/jhead/Makefile.am
+@@ -31,7 +31,7 @@
+ 	-I$(includedir)
+ 
+ LDADD = \
+-	-lc -lm
++	-lm
+ 
+ .PHONY: files
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__cineon__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__cineon__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,11 @@
+--- plug-ins/cineon/Makefile.am.orig
++++ plug-ins/cineon/Makefile.am
+@@ -27,7 +27,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__collect__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__collect__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,11 @@
+--- plug-ins/collect/Makefile.am.orig
++++ plug-ins/collect/Makefile.am
+@@ -23,7 +23,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la \
+ 	$(X_LIBS) \
+ 	$(FLTK_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la \
+ 	$(top_builddir)/lib/fl_i18n/libcinepaint_fl_i18n.la

Added: head/graphics/cinepaint/files/patch-plug-ins__compose__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__compose__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/compose/Makefile.am.orig
++++ plug-ins/compose/Makefile.am
+@@ -14,8 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__dbbrowser__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__dbbrowser__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/dbbrowser/Makefile.am.orig
++++ plug-ins/dbbrowser/Makefile.am
+@@ -19,8 +19,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__decompose__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__decompose__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,13 @@
+--- plug-ins/decompose/Makefile.am.orig
++++ plug-ins/decompose/Makefile.am
+@@ -14,9 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-					\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__dicom__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__dicom__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/dicom/Makefile.am.orig
++++ plug-ins/dicom/Makefile.am
+@@ -14,8 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__edge__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__edge__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,13 @@
+--- plug-ins/edge/Makefile.am.orig
++++ plug-ins/edge/Makefile.am
+@@ -15,9 +15,8 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-	$(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__fits__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__fits__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/fits/Makefile.am.orig
++++ plug-ins/fits/Makefile.am
+@@ -16,8 +16,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__gauss_rle__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__gauss_rle__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/gauss_rle/Makefile.am.orig
++++ plug-ins/gauss_rle/Makefile.am
+@@ -15,8 +15,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-					\
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__gbr__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__gbr__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/gbr/Makefile.am.orig
++++ plug-ins/gbr/Makefile.am
+@@ -16,8 +16,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+ 	$(top_builddir)/libhalf/cinepaint_half.lo       \
+-        $(OPENEXR_LIBS) \
+-	-lc
++        $(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__hdr__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__hdr__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/hdr/Makefile.am.orig
++++ plug-ins/hdr/Makefile.am
+@@ -20,8 +20,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__iff__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__iff__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,13 @@
+--- plug-ins/iff/Makefile.am.orig
++++ plug-ins/iff/Makefile.am
+@@ -14,9 +14,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-					\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__iol__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__iol__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/iol/Makefile.am.orig
++++ plug-ins/iol/Makefile.am
+@@ -35,9 +35,7 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-        $(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc					\
+ 	-lm					\
+ 	-lfl
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__jpeg__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__jpeg__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/jpeg/Makefile.am.orig
++++ plug-ins/jpeg/Makefile.am
+@@ -22,8 +22,7 @@
+ 	@LCMS_LIB@				\
+ 	@LIBJPEG_LIB@				\
+         $(top_builddir)/libhalf/cinepaint_half.lo       \
+-        $(OPENEXR_LIBS) \
+-	-lc
++        $(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__mblur__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__mblur__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,13 @@
+--- plug-ins/mblur/Makefile.am.orig
++++ plug-ins/mblur/Makefile.am
+@@ -15,9 +15,8 @@
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+-        $(top_builddir)/libhalf/cinepaint_half.lo       \
+         $(OPENEXR_LIBS) \
+-	-lc
++	-lm
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__median__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__median__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/median/Makefile.am.orig
++++ plug-ins/median/Makefile.am
+@@ -16,8 +16,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__minimum__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__minimum__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/minimum/Makefile.am.orig
++++ plug-ins/minimum/Makefile.am
+@@ -16,8 +16,7 @@
+ 
+ LDADD = \
+ 	$(top_builddir)/lib/libcinepaint.la	\
+-	$(X_LIBS)				\
+-	-lc
++	$(X_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__noisify__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__noisify__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/noisify/Makefile.am.orig
++++ plug-ins/noisify/Makefile.am
+@@ -16,8 +16,7 @@
+ 	$(top_builddir)/lib/libcinepaint.la	\
+ 	$(X_LIBS)				\
+         $(top_builddir)/libhalf/cinepaint_half.lo       \
+-        $(OPENEXR_LIBS) \
+-	-lc
++        $(OPENEXR_LIBS)
+ 
+ DEPS = $(top_builddir)/lib/libcinepaint.la
+ 

Added: head/graphics/cinepaint/files/patch-plug-ins__openexr__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/cinepaint/files/patch-plug-ins__openexr__Makefile.am	Tue May 21 05:43:22 2013	(r318641)
@@ -0,0 +1,12 @@
+--- plug-ins/openexr/Makefile.am.orig
++++ plug-ins/openexr/Makefile.am
+@@ -27,8 +27,7 @@

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-05-21 06:43:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!